EFC-400 Documentation

efcico1 EFC-400 Documentation

Welcome to EFC-400 EFC-0036 EFC-0031

1. Introduction

2. Theoretical Basics

Program Overview:

4.1 Main Window

4.2 Geometry Window

4.3 Construction Window

4.4 Virtual Reality Window

4.5 Line Editor

4.6 Library Manager

Data Input:

5.2 Transmitter

5.3 Conductor

5.4 Ground Wires

5.5 Towers

5.6 Cable

5.7 Buildings

5.8 Cases

5.9 Blocks

5.10 Geometry Objects

Loading Data:

6.1 Geometry

6.2 Computation Data

6.3 Ground Profiles

6.4 Import of Background Maps

7. Editing a Geometry

8. Editing in the Line Editor

9. Computation

10. Representation of Data

11. Saving Data

12. Printing Data

13. Data Export

14. Tower and Cable Library

15. Configuration

16. Options


1. Introduction

 Top Previous Next

1.1 Usage of the Manual

Welcome to the EFC-400 user's manual!

This manual will give you an extensive insight into the basics of field calculation and the operation of your EFC‑400 software.

Before proceeding with the installation please read the Getting Started chapter.

A general overview of the menus and the program is illustrated in the Program Description chapter.

This user's manual contains a thematically ordered description of the program functions. It can be used for learning the program systematically or as a reference book.

Special emphasis was put on the Case Studies chapter. Examples for the calculation of a power transmission line and of telecommunication base stations are given therein.

In the Appendix all data formats used by EFC-400 are presented in order to allow processing and exchange with other programs and to refine the environment of the program (e.g. libraries) according to your needs.

1.2 General Range of Application

The program EFC-400 was originally developed for the computation of low frequency magnetic and electric fields of conductors. Computing is carried out using the law of Biot-Savart and the charge method, allowing any arbitrary arrangement of conductors in three-dimensional space. Due to the three-dimensional ansatz, it is possible to solve every quasi-stationary problem in the low-frequency range.

In the next step of development audible noise and RF-level calculation for high voltage equipment have been implemented.

The latest implementation is the computation of high frequency field strengths and power density according to VDE 0848, with the possible calculation of beam characteristics from vertical and horizontal aperture angles or importing fractional beam diagrams.

The following examples give an insight into the range of application for the computation of the electric and magnetic field strength.

q power transmission lines
q overhead wires of tramway and main-line service
q route of suburban train and subway
q onboard power supplies of ships, aircraft's etc..
q earth cables, also with helical twist
q transformer and terminal stations
q power stations

q mobile phone bases stations
q mobile phones
q broadcast and TV transmitter
q radar equipment
q amateur radio
q LW- and MW-Transmitter
q line-of-sight radio links

Corresponding examples are available on the installation CD and are described in detail in the Case Studies chapter.

After completion of the first stage of development the calculation speed was increased so that EFC-400 computes large areas with a workstation-like performance. All time-critical routines were programmed directly in assembler-language. Theoretically the maximum number of calculation points can be 32000 x 32000 = 1000 millions. Practically the hard disk capacity determines the upper limit.

The resulting data are presented by EFC-400 in a function-related and elegant form.

q XYZ-representation
q 2D-representation
q Isolines-representation
q Statistics
q 3D virtual reality

The following interfaces are available for export:

q ASCII table (3D-Array) -> MS-EXCELTM
q DXF polylines (Isolines) -> AutoCADTM
q ASCII table (4D-Color Array) -> Stanford GraphicsTM
q ASCII table (3D-Vectors) -> Stanford GraphicsTM
q BMP, JPG, WMF, AVI and GIF-format

EFC-400 is available in the following versions, including all functions or tuned for special applications:

Product | EFC-400 | EFC-400 Station | EFC-400 & Sound | EFC-400 Telecom. | EFC-400 Enterprise
calculation method | E, B | B | E, B, dB(A) | E, H, S | E, H, B, S
frequency range | 0 - 30 kHz | 50 - 60 Hz | 0 - 30 kHz | 1 kHz - 300 GHz | 0 - 300 GHz
calculation area (*1 | unlimited | 50 x 50 m | unlimited | unlimited | unlimited
limit value assessment % (*2 | • | • | • | • | •
measuring data processing | • | • | • | • | •
phase optimization | • |  | • |  | •

(*1 max. 32000 x 32000 calculation points

(*2 for dB(A) not possible

Please note that only a small section of the field of application can be presented here. EFC-400 offers a general approach of solution which is extendible by program extensions. Moreover, EFC-400 has open interfaces so that new fields of application can be developed, which have not been considered till now.


2. Theoretical Basics

2.1 Magnetic Induction

Fig. Magnetic field of a conductor

Every conductor carrying an electrical current is surrounded by a magnetic field. The field can be illustrated by lines of force, which form concentric circles around the conductor. The direction of the lines of force is given by the right-hand rule, in which the thumb points into the technical current direction. (Note: EFC-400 uses the physical current direction, which is complementary to the technical.)

The magnetic induction of a configuration of conductors is calculated with the Biot-Savart equation as a superposition of the subfields of individual conductor segments. Every infinitesimal segment contributes to the complete field:

dB and I are generally time-dependent and are transformed into complex quantities to simplify the computation.

If we assume that the segment i of the length l is in the origin of the coordinate system parallel to the X-axis, its contribution to the field at the point P(x, y, z) is then:

with the vector components:

Every conductor is split by this method into segments, whose number can be selected by the user. If the conductors have a sag (e.g. power transmission line) the program simulates this with a parabolic arrangement of the segments. A sufficient precision is normally obtained by selection of 10-20 segments. For the purpose of verification the number of segments can be increased. If there is only one segment (straight conductor), the program simulates the automatic altitude customization of a conductor segment (with the length of the span width) on the relevant sag for the point P(x, y, z). The field component in line direction then disappears by definition. The precision is larger than for cases of only 2,3,4... segments. Additionally, the computation time is shorter. The precision of the method is only limited by the floating point arithmetic. The difference between reality and model depends on the subdivision of the conductors in a finite number of segments.

Fig. Subrope in the coordinate origin

For the computation of the field strength the coordinates of the point under consideration are transformed into the local coordinate system of the respective segment. This happens by a displacement and a following rotation. The calculation provides the contribution of the segment to the complete field vector, which has to be transformed back to the world coordinate system.

Vectorial addition of the field contributions yields the field vector:

In the case of a sinusoidal current with a constant frequency

Fig. Rotation ellipse of the B vector

the RMS-value is defined as

The field vector rotates on a fixed ellipse, whose main half axis represents the peak value.

In case there is a mixture of different frequencies the field contributions of the individual segments are temporally expanded, added up and integrated over the time.

EFC-400 calculates the absolute value, the single components and the peak value:

An interpolation mode is available, accelerating the computation of large areas. In this mode a predefined number of points within one calculation interval is computed by fitting a polynomial of 3rd order. The corresponding error is displayed in the status window. To keep the error as small as possible and to accelerate the computation of large areas in larger distance from field sources, the DYNAMIC INTERPOLATION mode was developed. In this mode the program will ensure that, even in critical areas (e.g. under conductors), the error will remain below 0.1% by adjustment of the required number of calculation points.

The functions described above are explained in detail in the Calculation chapter.

2.2 Electric Field

The electric field strength can be represented by the negative gradient of the scalar potential Φ (x, y, z):

with

This potential or potential difference describes the work which is necessary to move a test charge from a reference point with potential Φ (x, y, z) = 0 to the point with the potential Φ. In praxis the reference point is set to infinity. The potential at a distance A to a source charge is then given by:

This integral can be solved as follows for a line-type charge segment which lies in the origin parallel to the X-axis:

The negative gradient yields the field contribution of a subrope to the electric field at the point P(x, y, z).

The complete computation process is similar to that of the magnetic field. An exception, however, is the determination of the line charges Qi. These are not predefined unlike the subrope currents but must be calculated with the help of the surface voltages of the conductors.

To do this, a line charge is assigned to the center of every conductor segment. The quantity of this charge is determined by solving the above equation for the surface potential U. In case of n conductor segments this yields a system of equations with n unknown variables:

PKij is described as the matrix of the potential coefficients. Inverting PKij yields the distribution of the line charges. EFC-400 is able to solve this set of linear equations for an matrix with 16000 x 16000 elements (Methods: LU-decomposition or conjugate gradient). A predefined conductor geometry can be approximated by 16000 segments. Note that the computation can take several days (proportional to n²-n³) and the required hard disk space can exceed 1 GB.

1000-2000 segments are completely sufficient in praxis. For computing only a few span fields, inverting the matrix of potential coefficients does not have a large contribution to the total processing time.

A higher segmentation is only necessary for crossing conductors. In this case, the segment length should be in the same order of magnitude as the distances between the conductors. Otherwise considerable calculation errors may occur. The mode AUTO SEGMENTS determines the necessary number of segments automatically, so the calculation error is minimized.

For computation of power transmission lines in large areas only the diagonal and the neighbor elements of the matrix are different from zero. Such a matrix is described as Sparse matrix. For the efficient solution of these matrices there exists a SPARSE MATRIX algorithm in EFC-400. If a charge distribution for several span fields is considered, the interaction between the first and the last span field can be neglected. The user can accelerate computation by setting a radius outside which any interaction is neglected.

The computation time for electric fields is 2-3 longer than for magnetic fields. This is due to the matrix inversion and to the application of the mirror-charge procedure. Unlike for magnetic fields the influence of the ground is not negligible because it is an almost perfect conductor compared to the high impedance of air. The electric lines of force stay practically vertically on the ground. This is taken into account by reflecting the complete configuration of conductors at the ground and computing these with inverted sign. Therefore the computation effort is larger than for magnetic fields.

2.3 Audible Noise and RF-Level

EFC-400 & Sound is the solution for free air plants of the energy industry, which emit sound and RF interference levels caused by corona discharges due to the electric field strength. The essential features are:

q Electric field strength at Transmission Lines and Terminal Stations

q Surface field strength at Wires

q Acoustic Noise Level after different Methods

q RF Interference Level

q Phase optimization for Transmission Lines

q Measurement Data Import and Interpolation

Illus.: surface field strengths of 4 wires

'EFC-400 & Sound' in addition to the calculation of the electric ground field strength determines the surface field strengths in 100 points on the surface of every conductor or conductor segment. These exact surface field strengths serve as input data for the noise and RF level calculation, while conventional procedures assess the surface field strengths only by means of 'hand formulas'.

The 6 employed methods for the level calculation correspond to different sources, all based on empirical examinations, can be selected by the user. With the chosen formula the sound level is determined due to the part-conductor method by the fact that the noise potential is calculated by scalar addition of the spatial distributions of all single segments. The method can treat arbitrary conductor configurations under consideration of the sag. The procedure does justice to the orientation, the separation and the surface field strength of every single segment.

The results are represented as Iso-lines just like the electric field strength. The sound level can be read out at every position below an overhead transmission line or within a terminal station.

The procedure is implemented for alternating current and direct current.

2.4 HF Power Density and Field strengths

'EFC-400 Telecommunication' is the standard-compliant solution for transmitter and telecommunication plants in the high frequency domain. The essential features are:

q E/H-field and power density

q Radiation pattern due to the antenna characteristics

q Directional beam diagram import

q Losses through buildings

q Plot as % of limit values

q Set-up of HF-field land registers

q Measurement data import and interpolation

Illus.: calculation with directional beam diagram and reflection on ground

'EFC-400 Telecommunication' calculates field strengths and power density according to DIN VDE 0848, while the radiation pattern is taken into account by the angle quota of normalized spherical harmonics.

The form of the spherical functions gets determined numerically by the technical data such as the aperture angles etc. or can be imported as measured radiation pattern. Horizontal and vertical directional beam diagrams are independently from each other and are converted with an interpolation of third order into continues spatial functions.

'EFC-400 Telecommunication' normalizes the angle quota by integration over the spherical surfaces in dependence of the radial quota function, also providing directional beam diagrams. Power flux through any surface therefore is constant over the topography from near to far distance, supposed conductive ground condition is valid.

The antenna gain is determined on 0.1% precision by the integration and can however be overwritten by the user if the deviation of the aperture angles is larger as the error of the gain given by the manufacturer.

The calculation takes into account the complete information through which the far-field region of a transmitter is defined. Methods for the numeric solution of the wave equation are over-meant for far-field region calculations and lead to faults by discretization of complex structures as well as high data input effort and long computing times.

EFC-400 Telecommunication bases on one of the most fundamental physical laws - the conservation of energy - and approximates the local area around a transmitter by control of the far-field region. Conservation of energy is valid also in the local area in which the spatial distribution in opposite to a point source is improved by segmentation.

The method is suitable for the near-field region because the normalized spherical harmonics do not just start in the centre of a transmitter.

Each transmitter consists out of a model of a predefined number of radiator parts with finite radius, through what the appearance of a uniqueness is avoided. The part radiators show respectively single phase relationships and get superposed to the complete field which radiates from the whole transmitter structure.

Other authors have compared this method with calculations of the 'Momentenmethode' and found acceptable agreement for the local area.

Illus.: near-field region under segmentation

During calculation of large areas the consideration of all material constants and every sturgeon objects merely results in an increase of errors. 'EFC-400 Telecommunication' therefore includes only the reflection on ground which can be indicated in per cent, and the building influence which gets calculated out of an individual attenuation factor.

The correct determination of the field under inclusion of sturgeon influences is reserved to measurement procedures whose results can be fed in under interpolation.

Illus.: shielding influence of buildings in the municipal area

Because conservation of energy is presupposed, the method is superior to other procedures of field calculation with regard to precision and speed. The method is developed particularly for the ascertainment of the exposure in the ambient environment range i. e. for towns and administrative districts - a range in which every trial of a phases and frequency adjusted solution of the wave equation for all available sources fails. According to the appearance of frequency mixtures 'EFC-400 Telecommunication' calculates the worst case. Various frequency quotas are judged to predefined reference value curves and added up onto the percent exploitation of the sum limit value.

To perform a field calculation only the knowledge of the emitter location and the manufacturer data sheet are required. Due to the efficient data input faults can appear hardly. Because the locations are determined on the topographical map, the set-up of a HF-field land register is directly possible jet including up to 100.000 transmitters in simultaneous calculation.

WinField Telecommunication is usable for judgment of the conformity of mobile telecommunication base stations according to DIN VDE 0848 part 383 and provides a far-field region model and a synthetic model suitable to cover the inquiry of the conformity limits in the ranges far-field region as well as emitting near-field region and as valuation criteria integrates the ICNIRP recommendations (1998) and the European advice recommendation 1999/519/EEC.


4.1 Main Window

The figure below shows the main window of EFC-400, containing the Pull-Down menus and the toolbar. The title bar shows the name of the program and the version number.

Fig. main window

The menus contain functions for calculation, representation, data export, and printing. The command Exit in the File menu quits the program.

As long as no geometry is opened, most menu entries are disabled. The enabled functions are marked black.

EFC-400 functions are controlled by mouse and keyboard sequences. Some keys will be used frequently. These special keys are ESC, PgUp, PgDn and the cursor keys.

These special keys have the following functions:

ESC - quits the current action

PgUp, PgDn - page turnings (geometry, tower)

CURSOR - row selection

Changing between LF and HF

Changing between LF- and HF-mode is done with the corresponding toolbar buttons. The special versions for LF and HF do not have this buttons and are per default in the right mode.


4.2 Geometry Window

The Geometry Window is divided into two areas. The upper one shows the calculation parameters. In the lower area the objects are listed. Depending on the LF or HF mode these are conductors or transmitters.

Fig. Geometry Window in LF mode

The Geometry Window is the starting-point for working on geometry datasets. You can select and edit objects. With the register at the bottom of the window you can open the library to add new objects. In the LF-mode you also can change to an higher logical level where transmission-, cable- or railway-lines can be changed as one.

As soon as the geometry dataset is modified according to your needs, the calculation parameters can be set by selecting Calculation Parameter from the Calculate menu and the calculation process can be started from the Calculate menu.

Note: The calculation process will only start if the geometry data has changed. Otherwise, calculation can be forced by executing the Reset Data function in the Calculate menu.

Changing qualities of objects

Change the qualities of the objects by the fact that you click with the right mouse button on a list entry in the geometry window.

The Transmitter dialogue appears in the HF mode.

Illus.: Transmitter parameter dialogue

In the NF mode the conductor dialogue is opened where you can define rectangular cross sections and fix the material constants under the register 'advanced'.

Illus.: Conductor dialogue


4.3 Construction Window

The Construction Window shows a graphic of your geometry.

Fig. Construction Window in LF mode

You can modify objects by mouse as known from CAD, while viewing the geometry from any 3D-viewpoint. Therefore elect the command 3D-Viewpoint from the main menu or the local menu.

All construction functions, particularly Select-, Move-, Copy By Mouse e.g. are fully functionable. While moving in the 3D space you can read the relative coordinates as usual. The moved objects always lie in the plane of the actual calculation area.

For the construction of complex plants you can view those from every viewpoint and also work on them. The cube and the coordinate symbol always clarify the viewpoint.


4.4 Virtual Reality Window

The Virtual Reality Window has the same priority as the construction window and can moreover show the calculation data. You can mark objects just the same and use the same functions like in the construction window.

Illus.: Virtual Reality Window in HF mode

Note: Please, be sure however that you cannot mark objects within control cubicles or buildings directly. Pressure the function key F7 to remove buildings and control cubicles as in the construction window to get grip on the internal structure.

The pink hemisphere in the Virtual Reality Window is the view target of the camera. With the mouse control the view is changed as follows: drag with the left button moves the view target in the plane (at simultaneously pushed down Ctrl button in the height), moving with the middle button changes the distance to the view target (zoom in/out), pull or move with the right button shifts or tips over around the view target.

A view below the ground is only possible if the representation of the sky is switched off. Objects can be selected, moved, copied and inserted by mouse as in the construction window.

The turn in steps of 90 degrees at insert by mouse is carried out as in the construction window with the <, > cursor buttons. The choice of absolute coordinates in 3D isn't possible since these aren't defined. You can open a menu by click with the right mouse button on the free range of the local toolbar to e.g. configure the representation of the background map.

Note: 3D objects are of *.3Ds format (3D-Studio Max). WinField produces the objects automatically. Trees, houses, cars etc., are delivered in the directory 'Lib3ds' and are by means of the 'assigns 3Ds' button connected with blocks.

Note: If you liked to look at height profile graphic instead of the Virtual Reality window, you can switch the Virtual Reality interface off under 'advanced settings | system'.


4.5 Line Editor

Fig. Line Editor

The Line Editor was developed especially for the comfortable construction and modification of power transmission lines, earth cables and railway lines. The Line Editor is opened by the register Lines. The Line Editor is only available in LF mode.

Note: To change between Line and Conductor Editor (... Extended and Standard Geometry Format) alternatively you can click on the EXT toolbar button.

In the Line Editor conductors are combined to tower systems, which are connected to towers. Towers can be grouped to transmission lines. The advantage of this design is the easy handling of transmission lines, like rotation or movement. The electrical current of the whole transmission line can be set by input of only a single value. If an individual tower is moved the conductors are handled as if they were elastic.

At the top of the Line Editor the name of the current file is displayed. In the middle part, the existing objects are listed by numbers. Every existing line is displayed with its corresponding sections and systems. Transmission lines are marked with T, cable lines with C and railway lines with R. The main difference concerns the symmetric three-phase current of transmission and cable lines in contrast to asymmetric currents of railways. Here the currents can be different on rails and cat wires.

By a double-click on a selected list entry with 'T' the Tower Manager is activated. Thus the corresponding towers and systems can be edited. Entries with 'C' or 'R' call the Cable or Railway Manager.

Tower Manager

The Tower Manager is used for managing a selected power transmission line. Here you can add or replace towers and modify existing elements. Real towers are constructed only if the tower height is positive. Otherwise, virtual towers are created, which may represent earth cable lines or railway lines. Virtual towers only represent the start or end point of a section without being existent physically.

Fig. Tower Manager

Towers are grouped, and equipped with connected systems of conductors. Corresponding electric and geometric settings can be carried out after clicking on the buttons System Config and Conductor Config.

Fig. Cable

Cable Manager

The Cable Manager is used for managing a selected cable. You can add or replace cables and modify existing elements.

The window is similar to the Tower Manager with the exception, that some identifiers are different and some edit boxes are disabled.

Railway Manager

The Railway Manager is used for managing a selected railway line. The same description is valid as for the Tower Manager and the Cable Manager.

System Configuration

The electric parameters of a line can be set in the System Configuration Window. This window is accessible through the System Config button from the Tower, Cable or Railway Manager.

Fig. System Configuration

The parameters on the left side refer to the respective system of the selected transmission line. With the arrow buttons < and > the system which is currently being worked on can be specified.

The parameters for ground wires can be found at the top right window area, beneath the parameters belonging to the phase conductors.

The arrow buttons are used to change between the individual ground wires and phase conductors.

Conductor Configuration

The Conductor Configuration Window is used to edit the points of suspension of the actual tower selected in the Tower Manager.

Fig. Conductor Configuration

At the right side of the screen the points of suspension of every single conductor can be entered. You can use the arrow buttons to change between the individual conductors or ground wires.

At the left side of the screen a schematic graph of the tower which is currently being worked on is shown. Any change of the conductor coordinates causes the sketch to be immediately redrawn. In order to select a particular system, the arrow buttons can be used. The current system is marked blue.

To define the conductor positions, two additional tools are available.

With the Shift command you can adjust the ground clearance of an individual conductor, system or all the systems of the current tower.

If you do not know the ground clearance in the middle between the two current towers (the actual and the following) but at any other position, the Adjust function enables the calculation of the required value. To do this, enter the ground clearance at a distance (x-position) from the first tower.

Note: The actual span field is the area between the current tower and its successor.


4.6 Library Manager

With the Library Manager you can handle existing libraries or create new ones. With the register you can change between towers, cables or general objects which are blocks. Depending on LF or HF mode blocks are switch gear components or transmitter.

Fig. Library Manager with view of towers in LF mode

At the top of the window you can find the name of the loaded library. On the left side all the objects of the library are listed. On the right side you can modify the parameters. The object bitmap is also shown.


5.2 Transmitter

In this section the geometry data record and the input process for transmitter are described. You can understand transmitter as single emitter or as emitter parts of a complex antenna system.

Illus. Transmitter parameter dialogue

A Transmitter is described through geometric (above) and electric (middle) parameter as well as the radiation characteristic (below).

The ongoing no. serves as identification and cannot be changed. The reflection at ground has to be attached for most application cases as 0% because the absorption predominates.

Position parameter:

The position and the length define the location and the measurements of the Transmitters. The beam direction defines the orientation. The Transmitter is inclined with the vertical beam direction and is represented in the construction window correspondingly.

Electrical parameter:

Frequency and transmitted power are adjustable according to the conditions. The phase relationship should be 0°, if you not want to build up a complex antenna from several emitter parts which each other shows phase differences. This method provides a suitable synthetic model for near-field region of mobile telecommunication base stations or an emitting alternative procedure for the inquiry of the conformity limits according to DIN VDE 0848 part 383.

Radiation characteristic:

Due to the parameters of the vertical and horizontal directional beam characteristic diagrams are represented, simulated by spherical functions, in the dialogue on the right.

If the checking box "dBi from beam width" is activated, the aerial profit in relation to an isotropic transmitter is calculated on the area of the spherical functions by spatial integration on 0.1% precision. This value can differ from the manufacturer because the angles are frequently indicated to with a fault of some degree. If you want to provide the profit of the manufacturer tightly, you must deactivate the check box.

Loading radiation characteristic of the manufacturer:

With the button "Load ver Pat." and "Load hor Pat." radiation pattern can be loaded. This ASCII files of the extension *.PAT or *.MSI can be seen with a text editor.

Illus. Transmitter parameter dialogue with loaded pattern

The pattern becomes a three-dimensional surface at field calculation which is standardized on the aerial profit and represents the real measured radiation characteristic.

In principle, the aperture angles are ignored at field calculation with loaded pattern. The aperture angles can be calculated by integration from the pattern data with activation of the check box "width from pattern". This is carried out however only during loading of the pattern.

Pattern with the extension *.MSI also contain the frequency and the aerial profit, which are loaded automatically. Therefore it isn't required to activate the options "dBi from beam width" and "width from pattern". Otherwise the manufacturer's indication isn't used but the profit is calculated from the pattern.

Input of transmitter:

The input of transmitter is carried out in the Geometry Window. Row zero displays calculation parameters and the number of transmitter used in the geometry. Calculation parameters can be edited by click with the right mouse button on row zero, or with the Calculation Parameter item in the Calculate menu.

You proceed for producing new Transmitter as follows:

a) execute the menu command geometry | new object (or key Ins), while you indicate the number of desired transmitter. The geometry window shows blank lines initialized with zero position. The correct parameters can be entered into each of these blank lines now.

The line to be edited becomes entering the parameters with click of the right mouse button or with the menu item "edit objects..." in the menu geometry dialed. The dialogue window opening makes the explicit petition of the parameters possible. Not needed blank lines have to be deleted before calculation.

or

b) you execute the menu command objects | transmitter (or click on the assigned Toolbar button) with which you produce a new Transmitter whose parameters you can enter in the seeming dialogue.

Note: Input is only accepted if the dialogue is completed with the OK button. The click with the right mouse button for editing a complete row is only accepted if no range is selected in the geometry window.

After closing the dialogue box you can repeat the procedure for every new transmitter.

Construction by mouse:

In the Construction Window transmitter can be created complete by mouse.

This is carried out by the fact that you activate the [image] switch in the Toolbar. You can pull the transmitter by mouse to the desired position, after insertion the parameters as described under point b).

Functions to edit selected transmitter can be found in the local menu.


5.3 Conductor

In this section the geometry data record and the input process for conductor ropes are described. Straight conductors are handled in the same way, except there is no sag.

Fig. Geometry of conductor rope

Conductors are determined by the following parameters:

Startpoint X, Y, Z - starting coordinates

Endpoint X, Y, Z - end coordinates

Height - height at mid span

Voltage - voltage

Current - current

Phase - phase angle

Radius - radius of conductor

No. Subropes - number of subropes

Spacing / - distance between the Subrope Distance subropes

Frequency - frequency

In the following these parameters and their properties are listed.

Parameters for the position description:

Startpoint X, Y, Z [m] - starting coordinates

Endpoint X, Y, Z [m] - end coordinates

Height [m] - height at mid span

Starting coordinates (end coordinates) determine the point of suspension for the conductor on the first (second) tower. The sag of the conductor is defined by the height of the conductor in the middle between the two towers (see Fig. Geometry of conductor rope).

Electric parameters:

Depending on the setting of the Voltage option as phase or system in the Technical dialog or in the Power T.L. ... dialog from the Options menu, the input of

System Voltage [kV]

(voltage between the phase conductors) or

Fig. System and phase voltage

Phase Voltage [KV]

(voltage between phase conductor and zero conductor)

is required respectively (see Fig. System and phase voltage).

Current [A] - current

Phase [°] - phase angle

Determines intensity and phase of the current which flows in the conductor from the start coordinates to the end coordinates. The physical current direction is used in EFC‑400.

Fig. Current flux (identical cases)

A negative value for the current direction corresponds to a positive current direction with a phase rotation of 180 degrees.

Exchanging start and end coordinates of a conductor equals a reversal of the current direction (see Fig. Current flux).

Note: At a frequency of 0 Hz (DC) the phase angle is not defined any more. Therefore the phase will be ignored in this case.

Conductor parameters:

No. Subropes - number of subropes

Fig. Bundle of conductors

In case the phase conductor is made of a bundle of conductors, EFC-400 considers this property by offering the parameter No. Subropes. Here the number of subropes can be entered.

The number of subropes has to be larger than zero.

Radius [mm] - conductor radius

Radius must have a value > 0.

Spacing [m] - distance of subropes

The parameters Spacing and Radius are illustrated in Fig. Bundle of conductors.

Frequency [Hz] - frequency

This parameter assigns a frequency to the current of the conductor under consideration. The value will only be considered for calculation if the Frequency = Free option in the Technical dialog box (Options menu) is activated. Otherwise the frequency shown in this dialog box is used. Frequency = Free requires a high calculation performance and should only be used for calculations of systems with different frequencies.

Input of conductors:

The input of a conductor is carried out in the Geometry Window. Row zero displays calculation parameters and the number of conductors used in the geometry. Calculation parameters can be edited by click with the right mouse button on row zero, or with the Calculation Parameter item in the Calculate menu. In the invoked dialog box you can enter the number of conductors. Other parameters shown here can be neglected at the moment and the dialog box can be closed by a click on OK.

The Geometry Window shows blank rows which are initialized with zero by default. Into each of these blank rows conductor parameters can be entered. A conductor which will be considered for calculation is only created by input of parameters.

The arrangement of the conductor coordinates is not restricted, with the exception that conductors must not penetrate. Otherwise errors will occur during calculation of the electric field.

Blank rows which are not needed have to be deleted before computation. The number of subropes has to be >= 1 and the radius has to be larger than zero to avoid error messages during calculation.

By a click with the right mouse button on the row you want to edit or executing the Edit Object... command from the Geometry menu, a dialog box appears where you can enter corresponding parameters.

Note: Input is only accepted if the dialog is completed with the OK button. The click with the right mouse button for editing a complete row is only accepted if no range is selected in the geometry window.

After closing the dialog box you can repeat the procedure for every new conductor.

Constructing conductors by mouse:

In the Construction Window conductors can be created complete by mouse. Therefore use the Polyline command which is introduced later. Functions to edit selected conductors can be found in the local menu.


5.4 Ground Wires

EFC-400 can calculate ground wire currents automatically. The selection of one or two ground wires for each tower is predefined, but you can add further ground wires to simulate disconnected and grounded conductor systems.

For calculation ground wires are assigned to a number of conductors. An interaction is calculated only between the assigned conductors.

If you want to change, delete or renumber a conductor, EFC-400 adapts automatically the geometry and ground wire currents will be recalculated. Only if new conductors are added to a tower, it is necessary to delete existing ground wires and input new ones.

In principle, ground wires are characterized by the same parameters as conductors. Current, voltage and phase cannot be edited because EFC-400 calculates them.

Additional parameters are:

Conductors - reference to conductors

Earth - specific ground resistance

Al/St - ratio of cross-sections Al/St

Ground wires are characterized not by radius but by cross-sections Al/St. From this value, EFC-400 calculates radius and electrical resistance.

The input of ground wires in the conductor editor is described in the following. The parameters necessary for automatic computation are queried with an input dialog.

Ground wires are created in the same way as conductors. After having entered the conductor parameters you have to activate the switch Ground Wire.

Enter the following parameters:

Conductors - reference to

conductors

Input convention: First reference conductor - last reference conductor

Note: It is only possible to refer to existing conductors! Please keep in mind that no reference to ground wires is possible!

Al/St - ratio of cross-sections

The Al/St value sets the ratio of cross-sections of aluminum and steel of the ground wire in [mm^2/mm^2].

Earth [Ohm*m] - specific ground resistance

The default value is 50 Ohm*m.

Startpoint X, Y, Z - start coordinates

Endpoint X, Y, Z - end coordinates

Height - height at midspan

Frequency - frequency

The default frequency is 50 Hz.

The input of start/end coordinates and of the height at midspan is carried out analogously to the input of conductors (see section Conductor).

Note: The calculation is not restricted to 2 ground wires per tower. In case of more ground wires EFC-400 calculates the currents if the option auto induction currents under Options | calculation is enabled.


5.5 Towers

Fig. Tower Manager

Towers can be inserted into the geometry using functions provided by the Tower Manager.

Towers are characterized by base area, tower height, span width and number and height of girders. For calculation, EFC-400 constructs the towers from grounded conductors (see Fig. Tower parameters). The maximum number of standard towers is 100, the maximum number of extended towers is 1000. Towers can be edited and deleted in any order at any time.

Please note that towers in the Standard Geometry Format are not assigned to conductors. Therefore the input of towers does not change the properties or parameters of the conductors. Particularly the corresponding conductors are not moved automatically if the tower coordinates are modified.

Description of tower parameters:

Fig. Tower parameters

Coordinates X, Y, Z

These coordinates set the position of the tower base.

Tower Height

Defines the distance between base and top of towers.

Width at Base - width of base

Angle (X-axis) - angle between tower and X-axis

No. of Girder - number of traverse girders

Left and right girders are counted separately. (The tower in Fig. Tower parameters has 2 girders). The maximum number of girders is restricted to 12.

For input of girders a window is opened where the height and span width can be entered. The span width refers to the longitudinal axis of the tower. (see Fig. Tower parameters).

Fig. Tower cross-section

Number of Feet

Specifies the number of tower feet. The default value is 4. (This value cannot be altered in the current version.)

Creation of Towers

Towers are created by selecting a default type from the tower library and entering its position parameters.

Tower Input

Fig. Structure of the Tower Manager

Open the Tower Manager by executing the Tower menu command. In the list of library towers the active tower entry is marked. (The tower is outlined in gray until it is selected.) Now you can select a tower by a double-click on the corresponding tower name, or by highlighting an entry and click on the Select button. The tower parameters and a tower sketch are permanently displayed.

The Selected Tower No. displays the number of selected towers. The parameter editor is deactivated during the selection process. To change parameters of a selected tower, the desired tower can be chosen by the arrow buttons < and > (Selected Towers No.). The parameter editor then switches automatically into the editing mode. The tower figure does not show towers of the library any more but the currently selected tower of the geometry (color blue).

Individual tower parameters can be changed in the editor. To change between input parameters the <Tab> key and the mouse can be used.

After leaving the Tower Manager with the OK button, the selected towers are inserted into the geometry and will be considered during computation. They will be shown in the 2D-view and Isolines representation, if the Objects option in the Standard dialog box of the Options menu is enabled.

If you want to add a new tower, press the > button until Selected Tower No. shows a value which is larger than the number of currently selected towers. EFC-400 then changes the mode automatically. The parameter editor gets disabled and the list of library towers will be activated. Choose a new tower from the list as described before. If all parameters are entered, the Tower Manager can be closed with the OK button.

Note: The tower sketch displayed in the Tower Manager and the Library Manager always refer to the tower base. The position of the tower base is arbitrary without changing the height of the tower.


5.6 Cable

Fig. Cable

Cable can be created in Standard (conductor editor) and in Extended Format (line editor). The first possibility is provided for cable inside of power stations e.g., while the second one is of advantage for earth cable trenches.

In the line editor cable get added to the geometry by the Cable Manager. The handling is the same as for the Tower Manager.

For sections of lines (power transmission, cable or railway) it is only possible to enter the rotation angles inside the plane. For cable lines, constructed in the extended format, the angles of the sections can always be adjusted automatically, without doing this manually after every modification of line positions.

The second angle (against the plane) is only used for cables, which have sections in z-direction. The angle can not be entered manually, but is set by the function adjust angles/auto adjust when the check box allow angle to xy-plane for cables is enabled.

Fig. Construct Cable

For creation of cables in the Construction Window use the function Construct Cable. First draw a polyline along the desired cable line. Mark these conductors and call Construct Cable for conversion into a real cable with multiple phases. You can enter the number of conductors, the distance between conductors and the rotation angle of the cable. The cable can be of flat or round type.

Fig. Construct Cable subdialog

Please note some specialties of the function Construct Cable: for the first conductor current and phase are conserved. No. 2 and 3 get phases rotated by 120 degrees (note: in case of only two conductors the phase rotates about 180 degrees). For no. 4 and 5 current and phase get set to zero, when No PEN Conductor is not enabled.

Note: To show the radius of conductors it is possible to activate the function draw conductor crossection in mode transparent or filled (advanced settings | screen). At the ends of conductors circles get drawn with the conductor radius. This is of advantage when you want to represent cables in section. Choose transparent to see the field strengths inside the conductors.


5.7 Buildings

EFC-400 simulates buildings with grounded wire-grid models and assumes a negligible field strength inside the building volume.

Fig. Building Manager


5.8 Cases

EFC-400 provides the object case for components of energy facilities. Conductors inside cases do not create electric field strengths inside or outside the case.

The corresponding menu command can be found under 3D-Objects. Cases behave in the same manner as buildings. For modification of existing cases, just click on the case with the right mouse button to open the Case-Manager.

The advantage of cases is, that the user can better recognize the dimensions of components. When you do not want to use cases, you can enable ignore block cases under advanced settings. Then no cases are imported during insertion of blocks.

Many functions also work on cases. These are: select/release all, follow connection and select object by cursor, move, copy, edit, stretch, rotate, copy, delete, varia and construct array. Especially cases can be added to blocks, which enables the user to create own component libraries.

Note: by F7 the view of cases can be turned on/off.

Fig. Geometry with Cases


5.9 Blocks

Fig. Block Manager

Blocks are combinations of EFC-400 objects (conductors, transmitters, buildings ...) and are handled like single objects. The elements polyline, circle, building etc. are combined to sequentially numbered blocks automatically. Each block bears a name which does not change during opening and saving of geometries. Blocks are handled by the Block Manager, which provides the following functions:

Create - creates block from objects

Explode - cancels block definition

Select - marks a block

Release - unmark a block

Shielding - shielding factor

For blocks you can enter a shielding factor, if isotropy shielding of components shall be applied during computation.

The shielding factor can be received by measurements or from the delivered material library. Also shielding is not always isotropy in praxis, this solution is an respectable approximation.

The Block Library allows storing of blocks into libraries and makes it possible to import them into a GEO file later on. The following functions are available:

Select Library - opens a library

Build Library - creates a new library

Add To Library - adds blocks

Delete From Library - removes blocks

Delete Library - deletes a library

Insert block - inserts a block into the geometry

Note: Double-click on the library block inserts the block into the geometry by mouse. During moving by mouse, the orientation of the block can be varied in steps on 90 degrees by pressing the cursor keys. This feature is also available for the move command. In addition the ortho mode (F8) or the snap grid (F9) can be turned on/off while importing blocks per mouse.

Fig. Block Library

Blocks are combinations of elements. Every element can only belong to a single block (blocks cannot contain blocks!). If you create a new block from all the elements of an existing block, the old block will be deleted automatically. If you want to define several types of blocks based on the same geometry, proceed as follows,

A) highlight the elements you want to combine to the first block

B) create a block

C) store block in a library

D) restart with A)

because the first block is deleted by creating the second block in case the second block contains also elements from the first. If you want to use these blocks later in a geometry, they can be loaded from the library again.

Note: The assignment of library blocks and file names is stored in the BLOCK.TAB files located in the respective library directories. BLOCK.TAB is used only for the documentation and has no further meaning beyond this.


5.10 Geometry Objects

EFC-400 provides classes of predefined blocks, with which configurations of objects of unlimited complexity can be created.

Polyline - a course of straight, connected

transmitter or conductor

Circle - a circular combination around a

defined centre

Arc - circular arc constructed from straight

conductors or transmitter

Coil - a coil constructed

Metal Plate - metal plate consisting out of

conductor loops

The positions of objects are defined by the coordinates X, Y and Z. Preselection of coordinates is possible.

The objects Circle, Arc and Coil additionally require the input of the number of segments the objects consist of. Two further parameters define the rotation angles of the objects regarding to the plane.

Note: If limit loops is enabled the number of windings of a coil is restricted to 10. If a larger number is entered, the current is increased to simulate the additional windings.

For shielding of metal plates eddy currents inside the plate are calculated. Therefore a grid of ground wires is created in the same way as with the array function. The calculation of induction currents (Calculation | Auto induction Currents) computes automatically the current distribution in the plate.

Note: The process is adjusted for 1x1m plates in the near region of conductors. In case of larger plates or greater distance the current distribution is not convergent. Please also remember the power losses, which are written to the file losses.log when the error-log is activated. In addition it is possible to enter a shielding factor manually in the block manager or to calculate the factor by EFC-400 analytically.


6.1 Geometry

This section describes how geometries are loaded.

During opening a geometry file the computation data are also loaded, if available. Ground profiles are not loaded automatically with the geometry file. After loading a geometry they have to be opened again.

Open - opens a geometry

Close Geo - closes a geometry

The Open command from the File menu is used to load complete data records from a geometry file. This menu command is only available if no geometry is loaded. If this option is not available you have to close the current geometry with the command Close Geo before you can open a new one.

Insert Geometry ... - adds a geometry

To append geometry data to an existing geometry the Insert Geometry ... command is used. With this function it is possible to insert objects which are predefined in other files into the current geometry.


6.2 Computation Data

If available, results from a previous computation are loaded automatically with a geometry file. EFC-400 recognizes independently whether computation data belonging to a geometry file exist or not. If computation data are available, these are displayed without a new computation.

Note: Computation data files cannot be loaded by the user directly but only by loading the geometry.

To combine computation data and geometry files you have to save the data after calculation. Saving is not performed automatically because calculated data can require a large amount of hard disk space. (The computation of single objects is performed so fast, that a saving of the computation data is generally unnecessary.)

The computation data can be reconstructed by EFC-400 only if the geometry is known. To ensure correct assignment of computation data and geometry data, the corresponding files have the same file date. If the geometry file is changed after storing the computation results the computation results stored before lose their validity and cannot be loaded any more.

Note: In case a geometry file was written over inadvertently without any other modifications, the validity of the computation results can be restored with the special tool SETTIME. Follow the given statements and set the date of the computation data file to that of the geometry file. Afterwards the computation data can be loaded together with the geometry again. Additionally the tool SetFTime offers the facility to set the file dates of a complete directory (including all subdirectories) to the same date.


6.3 Ground Profiles

Properties of the terrain can be taken into account during computation by loading a ground profile.

X\Y | 5 | 9 | 33 | 45 | 60
1 | 1 | 2 | 2 | 1 | 0
10 | 1 | 2 | 2 | 1 | 0
33 | 2 | 2 | 2 | 1 | 1
40 | 2 | 3 | 3 | 2 | 2
45 | 2 | 3 | 4 | 3 | 2
68 | 2 | 3 | 3 | 2 | 2
70 | 2 | 2 | 2 | 1 | 1
71 | 1 | 1 | 1 | 1 | 1
75 | 0 | 0 | 0 | 0 | 0

Ground profiles are described in form of a XY-table containing altitude values. If necessary, EFC-400 interpolates coordinates between the given values. (for example, see Fig. Ground profile format)

There are two possibilities to connect the ground profile with the geometry data, controlled by the Geometry Coordinates option in the Cataster section of the Options dialog. Relative adds the tower altitudes to the ground altitudes. Absolute causes that all altitudes refer to the same zero point (NN).

Fig. Ground profile format

Note: The setting relative makes it possible to compare calculations with and without a ground topography. Please ensure, if possible, that the ground profile under towers, girders and in the middle of the span field is flat because the points of suspension and the heights of the conductors in the middle of the span field define the distance to the ground profile.

Loading:

Ground profiles are loaded from the Geometry menu. After executing the Load Ground Profile function the File Select Dialog appears, which displays all available ground profile files with the extension PRO. The selected profile is loaded with the OK button. If a new geometry file is loaded, any previously loaded profile will be deleted.

If the option Auto Ground Profile is enabled profiles with the same name as the geometry get loaded automatically.

Remove:

Clear Ground Profile removes a loaded profile.

Depending on the setting of View Ground Profile in the Cataster dialog of the Options menu the ground profile can be shown as a grey grid in the 3D-view.

File format:

The ground profile data are stored in ASCII format. Any text editor can be used for creating ground profiles.

If you create the ground profile with MS-Excel™ please export the table as text-format with extension PRO.

Data format:

A ground profile consists of a matrix with distance and altitude values. You can choose any distance. The values do not have to be equidistant. The table entries describe the altitude values.

In the example of Fig. Ground profile format the altitude value Z in the Point P (X = 45 m / Y = 33 m) is 4 m.

If the file is created with a common editor you can use two cell terminators

1. To change to the next cell (horizontally) the TAB key can be used

(Corresponds to the Excel™ text format)

2. The cells can be separated by blanks

Generally RETURN is used as line terminator.

A comment can be entered in the first cell. The comment must not contain blanks or TAB's.

Example correct: X/Y[m]

wrong: X/Y [m]


6.4 Import of Background Maps

Fig. Background Map

Background maps can be loaded via the Import Background Map command from the Geometry menu.

Import formats

There are import formats available:

DXF Drawing Exchange format

PCX PC Paintbrush-files

JPG JPEG files

BMP Bitmap files

TIF Tiff files

It is possible to reduce the current color format to grey scale, 256 colors or black and white format. (see chapter Color settings).

Import process

Fig. Specification dialog

At the first import of PCX- and JPG-background maps position and scale of the map have to be adjusted. For this purpose EFC-400 automatically opens a dialog box in which coordinates and length can be entered. On the base of these data EFC-400 creates a specification file with the extension REF, which is assigned to the background map. When loading the background map the next time, the parameters will be loaded automatically.

Note: Background maps can also be added to vertical views. This can be used to show installation components behind the computation data.

Auto Background Map

If the Auto Background Map menu item is activated in the Geometry menu, a background map which is already defined (REF-file present) is automatically loaded together with the geometry data file. If background maps are available in several formats, they will be loaded in the following order: DXF before PCX before JPG ... .

On-Top Background Map

If the On Top menu entry is enabled, the background maps are drawn in front of the computation data, otherwise they will appear in the background.

Show Background Map

The display of background maps can be switched with the Show Background Map item in the Geometry menu for the following views:

2D-plot
Isolines
Construction

Note: The display of the background map is enabled by default .

Keep Map always

The map remains and is not changed when loading a new geometry. Enable the option if you want to use one map for several geometries.

Scale Calculation Area to Map Size

The computation area gets automatically adjusted to the map size if the option Scale Calculation Area to Map Size is enabled. This also effects DXF-maps if the geometry is empty during loading of the map.

DXF-Scaling

Under Advanced Options | Import the ratio of drawing units to meter can be set. Default is: 1 drawing unit = 1 m. In case of drawings from power stations in units of mm's (scale =>1:0.001) these can be used directly without conversion by changing the setting.


7. Editing a Geometry

7.1 Transmitter and Conductor

For editing transmitter and conductor, the functions Edit Objects..., Delete..., Rotate... and Edit Value... in the Geometry menu are used.

To edit a geometry selecting of objects is necessary. This can be done in 2 ways:

1. The Geometry Window provides extensive possibilities for selection. By a click with the left mouse button you can select and deselect rows, columns and single fields.

2. By clicking within the Construction window with the left mouse button directly on an object (or opening a frame) this object is selected (or deselected).

Note: The direction of pulling determines whether only objects inside the frame (from left to right) or also crossing objects (from right to left) get selected.
Note: Mouse actions are also possible in 3D when the 3D-viewpoint is rotated.

Fig. Geometry Window

Select all:

Double-click with the mouse on the Geometry or Construction Window selects all objects. Next double-click deselects all objects.

Selection of rows:

Click with the mouse cursor on the number of the row you want to select. If you want to select several connected rows, hold the left mouse button and drag the mouse over the required number of rows.

Selection of columns:

Click on the column head (e.g. y [m]) with the left mouse button.

Selection of fields:

Click directly on the field you want to mark with the left mouse button.

To mark several ranges you can repeat the marking operation as often as you want.

By a click with the right mouse button on selected objects, the edit dialog can be activated.

Extended selecting function with mouse control:

If you want to edit e.g. the parameters of objects which are not listed directly one beneath the other in the Geometry Window, you can proceed as follows:

Select all objects you want with the left mouse button in the Construction window. Alternatively select the object number (red) with the left mouse button in the Geometry Window. Afterwards mark the column with the current parameter by a click with the left mouse button. EFC-400 marks only parameters of objects selected before.

Mark Connected Objects:

Use select MARK CONNECTED OBJECTS while click on objects in the Construction window and press the Ctrl key. All connected objects are highlighted.

Mark Blocks:

Use MARK BLOCKS pressing the Shift key while clicking on objects in the Construction window. Blocks get marked completely.

Edit an Object using 'Edit Object..':

After clicking on the Edit Object... entry from the Geometry menu a Request Box is opened where you can enter the number of the object you want to edit. By entering the row number the corresponding object is selected. The input dialog is activated by <ENTER> or the OK button (see Fig. Input dialog box). The dialog displays the current parameter and its unit. A parameter can be selected and modified with the mouse. With OK you can confirm the modifications. You can cancel your inputs by pressing the corresponding button.

When more then one object is selected before calling the function, the edit boxes are empty. After entering values these get set for all marked objects.

Note: To edit a certain object just click on it with the right mouse button.

Usage of the function Edit Value...

To use the Edit Value... function, at least one field in the editor of the Geometry Window has to be selected.

Note: When selecting parameters ensure that the units of the parameters are identical and compatible.

Fig. Edit value

By clicking on a selected parameter field, the field is deselected.

An input box is opened which requires the input of a relative value (Add.), an absolute value (New) or an multiplication factor (Multiply).

Usage of the functions Rotate, Copy and Move

Fig. Rotate

Before using these functions, the objects you want to work with have to be selected.

By clicking with the right mouse button a local menu is opened where you can invoke the function you want. It is also possible to invoke the functions directly from the Geometry menu.

Fig. local menu

The Rotate function can be used to rotate objects:

If the Rotate function is used to rotate objects, the complete marked object selection is rotated around a specified point or the centre of gravity of the start-, end- or mid-coordinates of the selected objects. Turn Around turns each object about 180 degree.

The Rotate function should not be applied to several object selections simultaneously because the centre of rotation is calculated by taking into account all starting points.

Usage of the functions Copy and Move

The Copy function copies the highlighted objects.

With the Move function a group of objects can be moved.

Usage of the function Stretch

On separated objects stretch acts the same as the command move. But when selected objects are connected to others (unselected ones) they get stretched while the connections still hold. This function enables quick changes on an existing geometry because the gaps between moved objects have not to be connected anymore. You may benefit of this function especially while constructing power stations.

Usage of the function Connect

The function connects cable constructed by Construct Cable with other components of the geometry automatically.

Therefore select the complete geometry and execute Construct Cable. If cables constructed by Construct Cable are available inside the geometry, no question is shown: insert new conductors or modify existing ones? Instead Connect is executed directly and creates the shortest connections between cable ends and marked components. In praxis this means that all connections can be created in one step!

Only cable ends are processed which are not connected yet. Thus the function can be invoked several times without damage. When only a part of a cable and a component is selected only these get connected.

If no cable is available, the function connects conductor by conductor. You have the choice between: connecting already existing conductors or to insert new conductors into the gaps.

Usage of the function Straighten

Marked objects get stretched to lines. Any slag is removed. You can also enable the option Auto Straighten which causes only straight objects to be allowed. This is of advantage in case of power stations.

Usage of the function Break

The function divides an object in several parts (from 2 up to 100). Alternatively you can break objects at contact points.

Note: While constructing complex geometries for example you can first create one object for a certain connection. After breaking the objects in parts you can stretch these parts to the desired route.

Usage of the function Varia

The function allows to scale objects up or down in size. Also Varia can mirror objects at axis or points.

Usage of the function Align Direction

The function Align Direction corrects the orientation of connected objects automatically. It is possible to choose between: a) processing only selected objects or b) orientate all connected ones, also if not selected, to a selection of objects. Additionally this function can execute automatically during correction of currents according to Kirchhoff law.

Usage of the function Align on Grid

When a snap grid is activated all selected objects get placed on the grid.

Usage of the function Construct Array

The function multiplies the number of elements in several directions of space.

Usage of the function Construct Cable

The function creates a cable with several phases out of a polyline. The number of conductors per cable is free. You can construct a 8-times connection or more in one step.

Usage of the function Search Objects

This function allows to search objects which matches one or more parameters.

7.2 Towers

Fig. Tower Manager scheme

Towers are edited with the Tower Manager. If you call up the Tower Manager, the list of library towers is active and the position of Selected Tower No. allows the selection of new towers immediately. The parameter editor is deactivated during the selection operation.

If you want to select a certain tower from the list of already existing towers, you can use either the keys <PgUp> and <PgDn> or the arrow buttons < and >.

<PgUp> and > - change to the tower with the next higher tower number

<PgDn> and < - decrease the tower number

Selected Towers No. displays the number of the currently selected tower.

The parameter editor is activated if you change to a selected tower. Then the Tower Bitmap does not show library towers but the currently selected tower of the geometry (color blue).

If the desired tower is selected, you can work on the tower parameters with the integrated parameter editor. With the cursor keys you can change between the entry fields. Except the parameter Number of Feet all tower properties can be changed.

With the Delete function, the currently selected tower can be removed from the geometry. This deleting operation is irreversible.

If a tower already contained in the geometry is to be replaced by a tower of another type, you have to delete that tower to insert the new type from the library.

Note: The Tower Library chapter describes how you can insert your own towers into the library. They will appear as default towers in the Tower Manager. All you have to do is to assign the corresponding position parameters (XYZ, Angle)


8. Editing in the Line Editor

8.1 Lines

Structure of the Line Editor

The name of the geometry data file is displayed in the upper part of the Line Editor. The list window in the centre shows the objects already contained in the geometry. The highest line number always corresponds to an empty line as long as the maximum line number is not exhausted. By double-click on the highest entry, the Tower Manager (or Cable or Railway Manager) is invoked. Here you can create a new line by selecting objects.

Fig. Line Editor

You can choose between a transmission line (power transmission or cable) with three-phase current systems or a railway line with independent currents on the conductors. The identification is carried out via the characters T, C and R behind the line number. In the latter case the currents of every single conductor have to be adjusted separately, in contrast to transmission lines. These facts are emphasized by using the additional names symmetry and asymmetry. However, in both cases the same geometry elements can be used. If you want to simulate an asymmetric three-phase system, e.g. an 1-kV cable, you must declare it as a railway line.

At first glance, this may seem confusing. Please note that for EFC-400 the only difference between the operating modes transmission line, cable line and railway lies in the additional degrees of freedom for currents and voltages!

Note: In the following chapters the term transmission lines will be used to denote railway lines as well as transmission lines.

Quick mode for cable and transmission lines

For projects where the user only wants to compute the field strengths of one span field or one cable, it is possible to select only just this one tower or cable type in the Tower Manager.

Since at least 2 towers are needed for a span field, EFC-400 does not give an error message leaving the Manager with OK ("at least two towers needed for line"), but creates a span field of 300 m length, centered on x-axis, automatically.

Also several parallel lines can be simulated in this way. Just change the x- or z-coordinates before pressing OK. To compute the field strengths on an vertical section it is only needed to choose the xz-plane which automatically lies in the middle of the span field.

Special features in the Line Editor

After the construction of a transmission line additional functions are available in the Line Editor.

A complete transmission line can be deleted with the Delete button. The selected line will be removed without further inquiry!

Fig. Line Edit

With the Edit button a dialog box is displayed that provides editing functions with which a transmission line can be moved or rotated. To do this you have to specify the line number and the manipulation mode. It is possible to rotate and to move transmission lines in one step.

The Rotate function requires input of the number of the tower representing the rotation centre and of the rotation angle in degrees. The transmission line can be rotated around any tower which belongs to the current line.

For the Shift function the shift along each of the three axis X, Y, Z in 3D space has to be entered in meters.

8.2 Towers

In the Line Editor there are no isolated towers or conductors. The geometry is created by the positioning of towers into the computation area. EFC-400 uses your individual configurations for the corresponding conductors.

Fig. Tower Manager

The list window in the centre of the Line Editor shows the objects already contained in the geometry. The highest line number always corresponds to an empty line. By a double-click on an entry, the Tower Manager is invoked. Here you can add new towers to the line. For a transmission line at least two towers need to be selected. Otherwise when leaving the Tower Manager by OK, EFC-400 automatically creates a span field of 300 m length.

Note: If you delete all towers in a transmission line, the line is deleted and the following line numbers are decreased accordingly.

Fig. Adjust Angle

The structure of the Extended Tower Manager and the meaning of the parameters largely correspond to these of the Tower Manager. There are some new buttons:

System Config - opens the System Configuration
Window

Cond. Config - opens the Conductor Configuration
Window

Adjust Angles - opens the input dialog

Fig. Change Tower Type

Adjust Head - point of suspension of the lowest conductor

Change Tower - opens a dialog providing functions for exchanging towers in a transmission line

With respect to the tower parameters the following differences to the Standard Tower Manager exist:

Tower Height - tower height

If this parameter is changed, all girders and coordinates of the conductors are moved by the same amount. The distance between these objects and the top of the towers remains constant. Only the distance to the base changes.

No. of Girder - number of girders

No. of Feet - number of tower feet

These parameters cannot be altered in the Extended Tower Manager. To change them, you have to configure a new tower in the Library Manager. The same holds true if you want to change the tower height independently of the coordinates of the conductors.

Creating a transmission line

To select a tower from the list of library towers, click on the desired tower or use the cursor keys <Up> and <Down>. Press the Select button to append the tower to the transmission line. A tower can also be appended by double-click on it.

This procedure can be repeated until all towers are selected. Since no conductor geometry can be calculated from the coordinates of only one tower, at least two towers have to be entered.

Now we proceed with the input of tower parameters. Use the arrow buttons < and > and the keys <PgUp> and <PgDn> to change between towers of the transmission line.

Towers which are selected can be positioned by altering the values displayed in the parameter entry field. The parameters of the systems are adopted together with the tower parameters of the selected library towers. If tower specific system parameters (as e.g. the point of suspension of a conductor) are to be altered, you can use the <PgUp> or <PgDn> keys to change between the selected towers until the desired tower is shown. By the Conductor Config button the Conductor Configuration Window is entered to modify points of suspension of the current tower exclusively.

For creation of a transmission line from single towers the following additional points have to be taken into account:

The system configuration is always defined by the first selected tower in a transmission line. In addition to the number of systems and ground wires configuration parameters are voltage, current, phase angles, etc.

A transmission line can only consist of towers with identical numbers of conductors and ground wires. Otherwise the error message Inconsistent Tower Configuration appears - which indicates that you tried to add a tower with wrong configuration to the transmission line. (Fig. Error)

Fig. Error

Note: An effective method of working is to configure all tower types occurring in the transmission line with the Library Manager before you insert them into the transmission line. Then you have to enter only the coordinates and the tower height while creating the transmission line.

Insert a tower

Towers can be inserted and deleted at any position within a transmission line. The tower is always inserted at the current position. The following towers are moved accordingly.

If line position 1 is selected in the Tower Manager and if a new tower is selected, it is inserted at the beginning of the transmission line.

Adjust Head

Fig. Dialog Adjust Head

A dialog box which displays the point of suspension of the lowest conductor appears at the call of the Adjust Head function. The complete tower head moves if you change the entry. The lowest conductor is set to the new value after confirming the setting by a click on OK.

Change Tower

Fig. Dialog Change Tower

This function is invoked with the Change Tower button of the Tower Manager and allows the exchange of a single tower or all towers of a transmission line. New towers are inserted so that the point of suspension and the ground clearance of the lowest conductor remain unchanged. The other points of suspension change according to the new tower configuration. The conductor configuration and the electrical parameters are held constant so that the influence of two different tower types on the ground field strength can be compared directly.

Note: If you want to change the phase configuration as well, you only need to make the changes in the system configuration window for a single tower, since these changes are automatically applied to the whole transmission line.

8.3 Cable

Cable can be created in Standard and in Extended Format (line editor). The first possibility is provided for cable inside of power stations e.g., while the second one is of advantage for earth cable trenches.

In the line editor cable get added to the geometry by the Cable Manager. The handling is the same as for the Tower Manager.

For sections of lines (power transmission, cable or railway) it is only possible to enter the rotation angles inside the plane. For cable lines, constructed in the extended format, the angles of the sections can always be adjusted automatically, without doing this manually after every modification of line positions.

The second angle (against the plane) is only used for cables, which have sections in z-direction. The angle can not be entered manually, but is set by the function adjust angles/auto adjust when the check box allow angle to xy-plane for cables is enabled.

8.4 System Configuration

Fig. System Configuration Window

The System Configuration Window consists of three different areas. The area System is on the left side, the area Ground wire is at the top and the area Phase Conductor is at the bottom of the right side.

Usage

You can move between entry fields with the mouse or with the <TAB> key.

The arrow buttons < and > and the keys <PgUp> and <PgDn> are used to change between different systems, viz. ground wires, if more than one of these objects exists.

Domain of parameters

All parameters of the System area are independent of towers. This is meaningful because a conductor including current, voltage and phase relation does not change from tower to tower.

Editing parameters

The meaning of individual parameters is described in the Data Input chapter.

Conductor parameters of library towers can generally be left as they are. It is not necessary to modify a completely configured library tower to achieve correct results.

However, we will frequently encounter a situation in which identical tower types in a transmission line are only different in their height over ground (including girders with mounted conductors). The input of the tower height has been adapted for this case (see previous chapter) so that a modification of the tower height moves the complete tower head.

To move a single conductor, it has to be selected with <PgUp> or <PgDn> or the < > buttons. The new value can be entered after selection of the corresponding parameter by mouse.

8.5 Conductor Configuration

Fig. Conductor Configuration Window

The line parameters which can be entered in the Conductor Configuration Window depend on each tower.

Domain of parameters

The points of suspension and the ground clearance of conductor can vary from tower to tower. Therefore, these parameters refer only to a single tower (viz. span field). All coordinate details are considered in relation to the tower bases.

Fig. Shift dialog

The Shift function in the Conductor Configuration Window allows an easy adjustment of the line sag. The ground clearance of several conductors can be adjusted in the current span field. After invoking this function, a dialog box appears (Fig. Shift dialog) where the shifting can be entered in meters. The domain of the Shift function is defined by 3 options:

All - all conductors are shifted

System - a system is shifted

Conductor - one conductor is shifted

Fig. Adjust dialog

If the ground clearance is not known at the centre of the span field but at another position, a computation can be carried out with the Adjust function. This function calculates the ground clearance at any distance from the first tower.

Action switch STRAIGHT

With the STRAIGHT button of the Adjust Height At Midspan function the sag of conductors and ground wires is set to zero.


9. Computation

9.1 General Computation Parameters

In this chapter the input and the function of the computation parameters are explained.

Fig. Line segment = 1

General computation parameters which control the computation are displayed in row 0 of the Geometry Window. They determine the segmentation and the computation area. To edit these parameters, select the Calculation parameters item from the Calculate menu.

(Or click with the right mouse button on row 0)

General computation parameters are:

Segments per Object - segments per object

With Segments per Object the number of segments is assigned.

HF mode: Segments per Objects=1 means that the sphere functions start from the centre of transmitters. Higher segmentation causes deviation of transmitter into emitter parts which fields get super positioned with better approximation in the near field region.

LF mode: a special case is the input of Segments per Object = 1. This would correspond to a straight conductor. The program adjusts the height of the conductor in the considered coordinates instead.

This procedure corresponds to the method of the infinitely long straight conductor with the difference that EFC-400 uses conductors in the length of the span width. The field component in line direction therefore is zero by definition. The precision of the computation, however, is altogether better than for cases of only 2,3,4... segments. The same segmentation is normally applied to towers as well.

Fig. Line segment = 6

Computation area - number of calculation points

The computation area is defined in two different ways:

(1) with a spatially located unit vector + offset

(2) by two key points of a rectangle + cell size

The mode is set by the Emission Frame=On or Off option in the Cataster dialog of the Options menu (On corresponds to case 2 ), or with the button Mode in the Calculation parameters dialog, in which the History is also available.

1. EMISSION FRAME OFF

The input of start and end-point of a spatially located vector is carried out:

Startpoint - starting point of the vector

Vector - direction of the vector

The vector may have any orientation (in praxis it will have only an X-component). By the additional input of an offset

Fig. Vector definition

Y-Shift - offset in Y-direction

Z-Shift - offset in Z-direction

either in Y- or Z-direction the default cell is defined. The multiplication of this cell in vector direction is indicated as:

Number of Points - number of cells in vector direction + 1

The number of rows in Y- or Z-direction is defined by:

Number of Rows - number of rows in Y/Z-direction + 1

2. EMISSION FRAME ON

Fig. Definition of an Cartesian frame

A Cartesian grid is defined by input of two edge points and the cell size:

Startpoint - key point on the left below

Endpoint - key point on the right above

The cell size is defined by:

dX-Size - cell size in X-direction

dY-Size - cell size in Y-direction

The grid is always orthogonal to the X- and Y-axis. Oblique-angled grids are not possible.

Additionally possibilities exist to modify the calculation area with the following commands:

xy-Plane, xz-Plane, yz-Plane

The functions turn the calculation area to the desired plane and adjust the size to the actual geometry automatically.

The corresponding button in the Calculation parameter dialog is stressed. If you adjust the calculation field by manual petition, the corresponding button is also stressed. You always have the survey which plane is just hired.

After a change to the xy-plane the plane lies normally on a height of z=1m. During change from xy- to xz- or yz-plane, the plane is rotated around the zero point. This means vertical planes pass through the zero coordinate. But when you have selected a coordinate in the plan view by cursor, the rotation of vertical planes is done around this point. With this you have an easy feature to position vertical planes around e.g. power stations.

The position of the plane is shown in the 2D-view, the Isoline graphic and the construction window. The position can be disabled under Options advanced settings.

Set to View

After zooming the calculation area can be set to the actual size by Set to View.

Refine / Enlarge

The buttons Refine and Enlarge refine or rough the grid automatically.

Double Calculation Area

The command Double enlarges the calculation field altogether at a constant grid size.

Note: If the shown area in the Proportional Frame View is greater than the calculation area, the calculation area is marked by a pink frame.

9.2 Special Parameters

In addition to the general computation parameters there are further parameters which are described in the following.

Examples how to use these parameters are given in the following chapters and in the Case Studies chapter.

Options Extended

Interpolation Points - number of interpolation points

The number of all computation points is defined by the computation area. The total number is:

Number of Points * Number of Rows.

Interpolation Points determines the number of points which are interpolated. If Interpolation Points is set to zero, all points are calculated. Interpolation Points = 2 calculates only every third point, for example. In other words: Two points are interpolated in between.

Note: The interpolation is executed in rows. The number of possible points per row is

n * ( interpolation of Points +1) + 1.

If the default Number of Points differs, EFC-400 chooses the nearest value. This has the consequence that the total number of points changes and the end-point is moved. If you have planned a computation area to X = 100 m, it is reduced to X=99 m under certain circumstances. You can avoid this effect by moving the end-point or choosing another interpolation setting.

Dynamic Interpolation

The estimated error occurring during polynomial interpolation is displayed in the status window. To use the advantages of interpolation and to simultaneously minimize the error, the Dynamic Interpolation function calculates every interpolation point again, if the error exceeds 0.1%.

Auto segment - automatic segmentation

This function exclusively serves to compute the electric field strengths of complex geometries, e.g. crossing conductors. In these cases, the simulation of the charge distribution requires a sufficiently fine segmentation. It is possible to adjust the segmentation or to choose the automatic adjustment, with respect of the preselected segments per tower. By default Auto segments should be turned off otherwise the segment number might grow unnecessarily.

Sparse Matrix Inversion

EFC-400 offers a special procedure to invert the potential coefficient matrix which uses the fact that occasionally the matrix has only a few non-vanishing elements. This always happens if spacious computation fields with several conductors are considered. Distance Limit defines the maximum interaction distance between two objects. The Sparse Matrix Inversion uses this limit to perform a faster inversion.

This is only of advantage if several span fields are calculated and Distance Limit is set.

Distance Limit

The user can define the largest interaction distance with the parameter Distance Limit. This implies that only those geometry elements are taken into account for every point of the space which lie within a sphere with radius Distance Limit.

The Distance Limit function checks the actual distance to objects. A setting of 100 m, for example, means that the field strength of a transmission line is calculated only within a distance of 100 m from the outer object. This procedure offers a considerable speed advantage for large areas.

Options Technical

Time-Dependent Field - time-dependent field strengths

EFC-400 calculates the field strengths as RMS-values. With the Time-Dependent Field option it is possible to consider the field strength at any time t. t is defined by the phase angle if there exists a fixed frequency. If there is a mixture of frequencies, t is entered in [ms]. In order to allow negative field strengths, the X-axis is moved.

Frequency - frequency mode

With Frequency a fixed frequency (16 2/3, 50, 60, 300, 400 Hz) or a mixture of frequencies (free) is set. If you choose a fixed frequency, all frequency values of the individual conductors are ignored, in contrast to the setting Frequency Free. This setting should only be used if a geometry with several frequencies has to be calculated, otherwise computation time will increase unnecessarily.

Conductive Ground - ground influence

If Conductive Ground=On the ground influence is considered during calculation, which is necessary, for example, for transmission lines. The setting Off ignores the ground influence and can be used, for example, for installations inside buildings.

Options Power Transmission Lines

Calculate Tower Region

Considerable field strengths which are not present in reality can arise - because of the method of equivalent charge - in the immediate proximity of the tower feet. If you turn off the Calculate Tower Region option, the direct range (tower feet distance * Sqrt (2)) is not calculated around the tower feet.

Segments per Tower

Usually towers are segmented (option is set to Auto) as conductors. If you choose, for example, 20 segments, a tower of the type "Einebene" consists of 120 segments. If there are too many span fields, the machine capacity may be exhausted. You can prevent this by fixing Segments per Tower. Per default this value is set to Auto.

9.3 Performing a Calculation

A prerequisite for executing a computation is a loaded or entered geometry data record. If necessary, a ground profile can be under laid in addition. (Attention: Existing ground profiles are deleted by loading a new GEO-file.)

You start computation with the B-Field command (viz. E-Field) from the Calculate menu. EFC-400 only performs a calculation if the data record is modified. If you want to force EFC-400 to recalculate the geometry, the current computation data have to be rejected at first with the Reset Data command from the Calculate menu. You can start computation afterwards with the B-Field command (viz. E-Field) from the Calculate menu.

EFC-400 checks whether the size of the computation area can be realized before starting calculation. EFC-400 chooses one of 3 memory modes, depending on the size of the computation area:

S - Small Memory Mode

Up to 15000 points,

RMS, peak and components are held simultaneously in memory,

uses conventional pointers.

L - Large Memory Mode

Max. Points = 1/4 of free main memory

either RMS or peak in the memory,

uses global memory in the protected mode.

XL - Extra Large Memory Mode

Max. dots = 1/12 of free hard disk capacity

either RMS or peak in the memory,

swapping data to disk.

The memory mode and the free memory are displayed during the computation. After a first computation of the electric and magnetic fields the data are held in temporary files so that the complete main memory is available for new computations. For the same reason there is no simultaneous computation of RMS and peak in the Large Memory Mode.

For the computation of all data records (B, BP, E, EP) in the Large Memory Mode, the calculation has to be executed 4 times. After computation the switches

RMS and Peak

of the Computation Selection Box are not used any more for the new computation but for changing the display (as long as the geometry data remain unchanged).

Fig. Computation Selection Box

If EFC-400 recognizes that the geometry has changed, the current data record is deleted and E- as well as B-field has to be calculated again.

An abort of the computation can be carried out with <ESC> at any time.

Note: The Extra Large Memory Mode is optimized for swapping of EFC-400 computation data without considerable speed loss (only 5-10% increase of computation time). The evacuation model will positively affect the display of the graphic windows.

9.4 Optimization of the Computation

For optimization of computation time, it is important to know the options of EFC-400 and to understand the computation operation. The computation can be accelerated by:

Reducing the number of segments: Errors can be increased

Reducing the computation area, viz. the number of points: This may under certain circumstances lead to a considerable gain in speed. A high density of points is in fact only required orthogonal to the line direction.

Increasing the interpolation points: Increases the error disproportionately and should be used only together with Dynamic Interpolation. Attention: Too many interpolation points cause a speed loss because the errors even in areas far away from geometry elements will get so large that Dynamic Interpolation calculates every point.

Decreasing Segments per Tower: Increases the speed

Sparse Matrix Inversion and/or Distance Limit: Increases the calculation speed only if several span fields are present.

Choosing a fixed frequency: Considerable acceleration

Please take into account that the above actions can increase the error of calculation (but not necessarily).

If you choose too many interpolation points, this is easily recognized from the jaggy course of the curves. With complex geometries, however, this need not be so obvious. The user should have a look at the case studies, in which the difficulties are explained.


10. Representation of Data

EFC-400 offers different possibilities to represent the calculated data. The complete computation area will always be represented.

Note: To compare several computations it is possible to open another instance of EFC-400 on your PC. In anyway, during construction of a new geometry you should only work with one instance.

10.1 Selection of the Computation Data

The computation data are selected with the B-Field/ E-Field menu commands and the computation selection box (regarding RMS, Peak).

After a computation of the magnetic field in the Small Memory Mode the data records which are to be represented are selected by

Show RMS - B-RMS

Show Peak - Peak

Show Components - Components (Bx, By, Bz)

from the View menu. It is also possible to select no data record so that an empty diagram is displayed.

Fig. Small memory mode

By selecting E-Field, EFC-400 starts the computation of the electric field (if no data exist). After completion you can use the menu commands

E-Field - E-RMS

Show Peak - Peak

Show Components - Components (Ex, Ey, Ez)

to select a data record.

Fig. Computation selection box

If your computation area contains more than 15000 points, EFC-400 switches into Large Memory Mode for reasons of memory optimization. The components of the field strengths are thus not available any more. Computation is carried out only for RMS or Peak data records. Therefore, a computation selection box appears after selecting B-Field or E-Field in which the desired data record can be chosen.

Renewed selection of a menu item does not cause any modification of the representation.

10.2 Construction Window

You can view the geometry from any arbitrary 3D viewpoint.

Elect the command 3D-Viewpoint from the main menu or the local menu. All construction functions, particularly Select-, Move-, Copy By Mouse e.g.. are fully functionable. By moving in the 3D space you can read the relative coordinates as usual. The moved objects always lie in the plane of the actual calculation area. For the construction of complex plants you can view those from every viewpoint and also work on them. The cube and the coordinate symbol always clarify the viewpoint.

The rotation is always local. When you zoom a certain region and rotate the viewpoint, the rotation is done around the zoomed geometry parts.

The following tools are helpful during construction:

Fig. 3D-view of the construction

Object Direction

With F3 the directions of transmitter and conductors is shown by small arrows.

Active Objects

The data of transmitter and conductors can be shown in the construction window (F4). In LF mode EFC‑400 draws all active conductors in red while the passive ones remain in grey.

Colored Phases

The phases of objects can be colored in the construction window (F5). Indifferent objects (with phases different from 0, 120 or 240 degrees) are shown in grey.

Snap Grid

The Snap Grid gets activated by F9 - snap grid on/off. The snap grid is available in any 3D-viewpoint, but is only drawn in plane view.

10.3 X/Y-Representation

Fig. X-representation

The X-representation draws a projection of the computation data on the X-axis, the Y-representation on the Y-axis.

The computation of the 3TOWERS.GEO file is represented in the following figures in several ways.

If you have calculated data along a straight line, you will see a single profile. After computing an array, several superimposed profiles will appear.

In the graphics XYZ and Statistics any kind of computation area can be represented.

Fig. Y-representation

10.4 Z-Representation

Fig. Z-representation

The Z-representation shows a projection of the computation data on the Z-axis. At first glance, this may seem unusual. Since the computation area normally lies at a constant altitude (e.g. 1 m), all data are superimposed on a line whose altitude corresponds to the maximum field strength.

EFC-400 allows calculation of slanting or vertical computation areas where the Z-representation sometimes is useful.

10.5 2D-Representation

In the 2D-representation EFC-400 shows a projection of the data records onto the XY-, XZ- or YZ-plane. In the XY-plane the viewpoint can be rotated.

The field strengths between two equipotential lines are filled out in one color. A 10-level color gradation will always be displayed which can be adjusted by the user. To do this, the Colors command from the Options menu must be executed. It is also possible to assign the same color to several levels.

The Zoom function is enabled in the 2D-representation mode, but it is only available if:

Fig. 2D-representation (horizontal)

a computation area exists (more than a single row)

Fig. 2D-representation (vertical)

and the following conditions are fulfilled:

a) horizontal area (dz = 0, z_shift = 0) or a vertical plane parallel to the X-axis (dy = 0, y_shift = 0)

b) array is Cartesian (dy=0)

Rotation of the 3D-viewpoint is possible for the 2D view. Just select '3D-viewpoint' from the local menu and turn the appearing cube. You get a real 3D surface plot then. As shown in the picture the surface includes the ground profile (if switched on) with the topography on top.

Measurement data can be added to the calculation data or can be shown without calculation or even without any geometry. The width of the mesh is adjustable under the item screen of the advanced settings sub menu.

Frequently EFC-400 has only a rough grid of computation points in the 2D-representation. Therefore, EFC-400 interpolates intermediary points to cover the whole area. Depending on the amount of data, EFC-400 uses one of several adapted graphic routines to ensure that large data sets are only displayed in screen resolution.

For quick representation it is possible to turn the graphic interpolation of and show the raw computation data via the option Raw Data in 2D-View from dialog Advanced Settings | Screen.

Optimization of the display build-up:

The display of the 2D-representation can be accelerated by setting the variable two step paint=on. After that the 2D-representation is roughly drawn by EFC-400 in the first step and the grid is refined in the second step to match the screen resolution. However, this method is chosen only, if the grid of the computation points is 4 times cruder than the screen resolution. This frequently happens when you zoom and leads to a considerable acceleration of the representation. The default setting is ON.

10.6 Isolines

Fig. Isolines

The Isolines representation essentially corresponds to the 2D-representation. However, the ranges between the lines are not filled.

For color settings and prerequisites of the Isolines representation please consult the previous chapter.

Because of the extremely fast computation of the Isolines it is possible for a line to contain a color pixel from the adjacent color step. However, this concerns only the representation. If you export the data, this effect does not occur.

The zoom is also available in the Isolines representation in case the requirements described on the previous page are fulfilled. During Isolines export EFC-400 turns the zoom off automatically.

10.7 3D-Representation

Fig. 3D Virtual Reality Interface

The 3D-representation displays the computation data in the Virtual Reality Interface, where you also can modify the geometry like in the construction window.

Note for old 3D-representation: If the option for drawing ground profiles in the Cataster dialog of the Options menu is switched on, the profile is drawn in gray. An altitude value referring to the Z-axis is displayed at the right hand side of the frame. Scaling is always carried out so that the altitude of the profile is 1/10 of the display screen axis.

Fig. old 3D-representation (Hidden Lines)

10.8 Statistics

Fig. Statistics

All data are sorted and displayed by size in the statistics mode. For example, we can see which field strength is exceeded on 40% of an area.

Additionally, some useful details are shown, such as:

mean average value

maximum value

L50-Percentile

L05-Percentile

L95-Percentile

standard deviation

Note hat the statistical results are only exact if the program is in Small Memory Mode. Otherwise EFC-400 only samples 15000 random points from the data record.

10.9 Assigning a Title

Fig. Representation with a heading

If the Title option in the Standard section from the Options dialog is activated, the title defined in the same dialog is displayed in the graphic window. The sub title can consist out of 240 character.

10.10 Scaling Data

Per default EFC-400 scales the data records to the maximum. In the Small Memory Mode the maximum is taken from the Peak-data otherwise from the last computation.

This applies to all modes of representation with the exception of the XYZ-representation and the statistics.

If you want to scale the data to an arbitrary value (e.g. to a critical value), you can enter this value in the field Max Data Scaling of the Extended section from the Options dialog. This is particular useful if you want to create Isolines in predefined intervals.

If you have enabled the Grid option in the Standard section of Options dialog, EFC-400 deposits the data with a fine scaling grid. For this grid, EFC-400 chooses integer numbers, decades etc.

10.12 Zoom

Fig. Zoom of a graphic

In the 2D-representation you can activate the zoom mode. By executing the Zoom command from the Tools menu you can select one of the following sub-menu items

All restores the original screen size (no zoom)

Previous restores the previous enlargement view

Window a clipping rectangle can be drawn with the mouse which defines the new display area to adjust the screen scale to your wishes.

When a certain part of the geometry is zoomed, it is possible to move the view to follow cables e.g. by pressing the cursor keys (->, <-, ...).


11. Saving Data

11.1 Geometry

Geometry data are stored in two ways. On one hand they can be saved with the Save Geo as ... item or with the Save Geo item from the File menu.

On the other hand, a geometry data file is created with the same name when storing the computation data.

Procedure when saving the geometry with the Save Geo as... menu item:

Open the File menu in the main window and select the Save Geo as ... menu item. Afterwards the File Select Dialog appears where you can enter the name of the geometry data file. In the File Select Dialog all files with the Extension GEO in the working directory are listed. You can store the current geometry under a new file name or overwrite an already existing geometry. To overwrite an older file, select the file name from the list and push the OK button. To create a file with a new name, enter the file name in the field with the name Filename. The Extension can be left out.

Save Project As

When working on complex projects, including maps, measurement data e.g., the complete project can be duplicated using the function Save Project As.

Delete Project

You enter the name and EEC-400 deletes all files belonging to the project.

11.3 Computation Data

Saving of computation data is possible in the main window with the menu items

Save Data as... - saving with a new file name

Save all Data - saving of B- and E-field data

Save Data - saving the current dataset

from the File menu.

The computation data are saved in binary file format with the extensions *.E, *.B, *.EP and *.BP.

Type | Large Memory Mode | Small Memory Mode
*.E | RMS-data E-field | complete E-field data
*.B | RMS-data B-field | complete B-field data
*.EP | Peak-data E-field | -
*.BP | Peak-data B-field | -

The corresponding geometry file is stored under the same name when saving the computation data. This is necessary because the computation data record contains no geometry information and the computation data cannot be displayed without the necessary geometry.

The connection between computation data and geometry data is ensured by assigning the same date to the corresponding files.

If a geometry file, to which computation data have already been appended, is stored under the same name, the computation results stored before lose their validity and cannot be loaded any more.

Note: If a geometry file is written over inadvertently before the necessary modifications have been carried out, the validity of the computation results can be restored with the special tool SetTime. Follow the instructions given by the program and set the date of the computation data file and the geometry file to the same value. After this operation the computation data are automatically loaded with the geometry again.

Additionally to the program SetTime (synchronization of two files), the tool SetFTime is delivered with EFC-400. SetFTime enables the setting of the file date of all files in a directory including all subdirectories.

With the Save Data menu item you can store the displayed data record (only one single data record is stored).

The data will be saved as *.B or *.E files, if EFC-400 is in the Small Memory Mode. Files of the type *.B *.E, *.BP and *.EP are created in the Large Memory Mode depending on the calculated data records.

The File Select Dialog automatically sets the correct extension of the saved file. The user just has to enter the file name. No other extension will be accepted.

The Save all Data menu item saves all of the computation data, even if they are in the background. All E- and B-field data can be stored in one step in this way.

Compressed data format

EFC-400 offers the facility to store the computation data in a compressed file format. To do this you have to set the variable compress mode = ON. With compress limit = x you can set a value below which EFC-400 will reject computation data. For example, if you want to neglect all field strengths data below 0.1 µT (or 0.1 V/m), compress limit has to be set to 0.1. EFC-400 compresses data only if a volume decrease of at least 50% is obtainable. EFC-400 independently distinguishes between normal and compressed data records. If you frequently use large computation areas containing only a few transmission lines, the required volume can be reduced to 10% or less.


12. Printing Data

12.1 Graphics

Fig. Printer Setup Dialog

The content of the active window is printed by the Print item from the File menu. Printing is carried out with the presently selected Windows™ printer driver, which can be set in the Printer Setup... dialog. The Printer Setup... item is available in the File menu.

Additionally the hardcopy function (<print>-key) can be used to create screen captures, which can be inserted in other documents (by using the clipboard).

The Resolution option of the Printer Setup... dialog determines whether the screen resolution (Screen) or the printer resolution (Printer) is used for printing.

Pen Size setting

This feature enables the setting of the pen width. The line widths refer both to the printouts and to the lines in the graphic windows. With the PEN SIZE command from the OPTIONS menu line widths can be adjusted:

0 - Shedding line

1 - 1 pixel

2 - etc.

During the installation of EFC-400 in the standard configuration all pen widths are set to zero. This leads to good results on all display screens and most printers.

Depending on resolution (printer/screen) it may happen that lines are missing on B/W printers. On laser printers this problem can be solved by selecting the format HPGL.


13. Data Export

13.1 Overview

Data calculated by EFC-400 can be exported as ASCII files for the purpose of further processing (e.g., creating presentations or statistical evaluations). Specific export formats are available for the programs MS-Excel™ and Stanford Graphics™. For processing of the computation data the Isolines graph can be saved in DXF file format (e.g. AutoCad™).

When using the Export item from the File menu, EFC-400 exports the visible data. The following table shows the possible modes of exports depending on the representation mode.

 |  |  | Representation |  |
 |  | XYZ-axis | 2D-view | 3D-view | Isolines
 | ASCII Array (*.TXT) | x | x | x |
 | Isolines (*.DXF) |  |  |  | x
 | Hatch Pattern (*.DXF) |  |  |  | x
Export type | 2D-Solid (*.DXF) |  |  |  | x
 | XYZ data (*.DXF) | x |  |  |
 | 4D-Color Array (*.TXT) |  |  | x |
 | Vector Array (*.TXT) |  |  | xx |
 | BMP / JPG / WMF | x | x | x | x
 | Copy To Clipboard | x | x | x | x

x any setting of the Options parameters is possible

xx a requirement for vector export is the following
setting in the Technical dialog in the Options menu:

Time-Dependent Field = On

Note: The fractional digits for the export can be adjusted.

13.2 ASCII Export (TXT)

The ASCII export is available for the representations of X, Y, Z, 2D and 3D by executing the ASCII Array command from the Export submenu. The file name can be entered in the File Select Dialog. (The Extension *.TXT is predefined).

The ASCII export saves the currently visible data of the views X, Y, Z, 2D and 3D. The data are stored in a tabular form, so that they can be imported by many programs (e.g. MS-Excel™, see appendix B: Data formats).

a) X, Y, Z-representation:

a table of two columns with coordinates and computation data

b) 2D- and 3D-graph:

an array of the computation data with

X, Y-coordinates

Fig. Stanford Graphics Surface-Plot

This figure was created with the software Stanford Graphics™ using the ASCII-export of the 3D-view. (geo file: 11TOWERS.GEO).

13.3 DXF Export

Isolines

The Isolines export is invoked with the Isolines item in the Export submenu. The File Select Dialog allows input of the file name. (The extension *.DXF is predefined).

EFC-400 redraws the Isolines graph subsequently and determines the coordinates of the individual Isoline-segments. First Layer Number is the number of the layer which contains the first Isoline step. It is defined in the Cataster dialog from the Options menu. The further Isolines are numbered serially (10 layers altogether). EFC-400 sorts the Isoline segments to polylines and saves these with a resolution of 0.001 m on hard disk. This operation can take some time, especially for large computation areas. Please note that a sufficiently fine computation area grid has to be selected because resolution errors in the Isoline structure may occur otherwise.

Fig. Transmission line section with Isolines in AutoCAD™

Note: Scaling of the Isolines is adjusted in the Extended dialog with the variable Max Data Scaling.

EFC-400 uses the default EFC-400.DXF file for exporting and inserting polylines in the DXF file format. EFC-400.DXF is an empty AutoCAD™ drawing, which contains already predefined layers (1-10). This guarantees that the Isolines imported into AutoCAD™ have predefined colors. If you need another color gradation, the layers can be changed afterwards.

It is also possible to replace the EFC-400.DXF file completely.

Note: The EFC-400.DXF file must be available for the export, otherwise errors may occur.

Note: In case of huge calculation areas the isoline export is slow because of sorting the segments to polylines. When polylines are not needed, choose the mode Unsorted Isolines (Options | Advanced Settings | Export) which is much quicker.

HATCH PATTERN

This function exports a horizontal hatch pattern which fills the areas within the Isolines. The separation of the lines corresponds to dy viz. z-shift/y-shift. The third coordinate of the hatching lies in the computation plane. Conductors, transmitter and towers are not exported even if they are visible. Please use the Export Geometry function for this purpose.

2D SOLID

This function exports the computation data as filled rectangular areas (SOLIDS). The resolution can be determined by the user, the raster of computation is predefined. If a higher resolution is set, EFC-400 interpolates intermediate rectangles analogously to the 2D-plot. (objects are exported with Export Geometry )

Note: In the case of large data records and high resolutions the export file can become very large. If necessary, the smaller files of the DXF HATCH-PATTERN export function can be preferred.

Note: AutoCAD™ R12 fills SOLIDS only in the top view. In other views merely a clipping of the area appears.

XYZ data profile

This export facilitates the saving of cross-profiles including coordinate systems in the DXF file format. The data are written on the layer DATA.

3D - 2D DXF format

Data in the DXF-format are exported as 3D-objects by default: Transmission lines are built in the drawing (xy-) plane and Isolines lie in the computation plane. Therefore you will see only a color line after a computation of a horizontal section, provided that you do not exit the top view of your CAD application. Because some graphic programs do not offer a 3D-representation, you can switch the DXF-export with the variable

3d dxf export = on/off

to reduce the format to 2D. The export data will then be rotated by EFC-400 and projected to the xy-plane (z=0). Additionally, the import of 2D-objects is substantially faster in many applications. Always use the 2D export if you only want to embed data in text files etc.. Use the 3D export if you want to work on or to represent the EFC-400 objects in the three-dimensional view.

13.6 BMP Export

Every graphic window and the geo-window can be saved as a bitmap. The color depth of the bitmap depends on the settings of the graphic board, with the exception of the 64k-colors mode in which saving of bitmaps is not possible.

13.7 WMF Export

The EFC-400 graphic and geo-windows can be saved as Windows Metafile (WMF). Analogously with the command above the currently activated window is saved.

Note: Do not use the WMF format for the 2D-view because the file may become very large. It is a better idea to save the 2D-view as bitmap.

13.8 Copy to Clipboard

The EFC-400 graphic windows can be copied as a bitmap into the clipboard at any time.

The Copy to Clipboard command is available in the Export submenu and in the pop-up menu (right mouse button on graphic windows). The shortcut is: <Ctrl+Ins> or <Ctrl+C>.


14. Tower and Cable Library

14.1 Editing the Library

Fig. Library Manager

Libraries are managed by the Library Manager, which is invoked by executing the Library command from the Object menu.

It is necessary to open a geometry before you can open the Library Manager.

The following functions are available in the Library Manager:

<PgUp>, - changes between the

<PgDn>, elements of a library

"<"-button,

">"-button

OK button - exits the Library Manager

Load Lib button - opens a library

Save Lib button - saves alterations of a library

viz. saves a library with

a new name

New button - creates a new element

Delete button - removes types from library

Edit Girder button - working at girders

<TAB> - changes between entry fields

Procedure for editing a library element:

Initially the focus is on the list of the library objects in the Library Manager.

You can change between the individual types with the ><-buttons and the <PgDn> <PgUp>-keys.

If you want to select a certain element from the list, you can identify it by its name or its Library Element No.

Delete removes the currently selected library element.

With the New function a new type can be inserted. (see the Adding own types chapter).

If you have modified a library without saving, the modifications are only valid during the current working session (see section Saving Library).

Editing of parameters:

If the desired type is selected, you can enter the parameters with the integrated parameter-editor. With the cursor keys you can change between the parameters.

The only restriction compared to the Tower Manager is that the position parameters Coordinate X, Y and Z cannot be entered (predefined to (0,0,0)).

Fig. Library Manager Scheme

The parameters to enter are:

Element Name - name of element

Tower Height - tower altitude

Width at Base - width of the base area

Angle (X-axis) - angle to X-axis

No. of Girder - number of girders (max. 12)

Number of Feet - number of the tower feet (default = 4)

Filename - name of the *.PCX, *.GEO and *.TOW file

A more detailed description of the parameters is given in Tower section of the Data Input chapter.

The access to the integrated conductors of the library towers is possible with the buttons System Config and Conductor Config.

System Configuration

Fig. System Configuration

The important functions are:

New/Delete - adds or removes tower systems

No. of Subropes - input of the number of subropes

No. of Ground wires - input of the number of ground wires

If a new tower is created, the following points should be kept in mind:

The sum of conductors and ground wires is at most 26 for a tower (8 systems and 2 ground wires).

The number of the ground wires is entered in the editing field No. of Ground wires. To add ground wires, you only have to increase this parameter. Decreasing of this parameter deletes ground wires.

The conductors of new systems (or new ground wires) lie at the base of the tower immediately after their production. It is necessary to adjust their positions manually.

A conductor can be specified via the ratio of cross-sections Al/St or via the input of the radius (the radius has priority).

Fig. Conductor Configuration

Conductor Configuration

The Conductor Configuration in the Library Manager is identical to the Conductor Configuration of the Tower Manager except for the missing Adjust button. The difference is caused by the fact that the Library Manager is used to configure library towers, while the Tower Manager handles towers of the geometry.

14.2 Load / Save

Load:

A library which is loaded in the Library Manager is available in the Tower Manager (e.g. Cable or Railway Manager). If you want to insert objects into the geometry which are not contained in the current library, you can open a new library with the Library Manager.

Instead of replacing the old library with the new one you can also ADD a library from another path to the existing one.

For a quick change of libraries there is a Change Lib button inside the object managers.

To open a library, proceed as follows:

Fig. Load and Save Dialog

Change to the Library Manager and press the Load Lib button. You will see a dialog which shows a list of the presently available libraries. Select one of the libraries and push the OK button or interrupt the loading process with the Cancel button. After finishing the loading process you can edit the loaded library or change to the Tower Manager with OK.

Save:

If you have modified a tower library and want to save it with a new name, you can use the Save Lib button.

A dialog which displays the available libraries will appear at the call of the Save Lib function. Select a library name to overwrite an existing library or enter a new name (confirm with OK).

Note: Creating a library is a complex operation which is provided by the Save Lib function. A directory with the same name as the library is created. A library is deleted by removing the corresponding directory with a conventional file manager.

14.3 Adding your own Types

Fig. Library Manager

You can include new types in the library with the Library Manager.

A library can contain a maximum of 500 objects. If there are less than 500 objects available in the library, the New button can be used for creating new towers (e.g. the New Cable button to create a new cable).

Creation of a type variant:

If you want to create a variant of a type already contained in the library, change to the existing type with <PgUp>, <PgDn>, the arc buttons, or the mouse. Then execute the New function. A duplicate of the current type is created.

Fig. Library Manager Scheme

The duplicate contains the object parameters of its predecessor.

Note: The parameter file name is set to TOWERXXX per default where XXX is a number corresponding to the position of the new type in the list of available objects (1..500).

If the library is saved with the Save Lib function, a type geometry file (*.TOW), a geometry file with conductors and a PCX-bitmap or BMP-file are created. The new files have the name which is displayed in the parameter editor. You should enter a meaningful name for the parameter filename to be able to easily assign the files later.

The Fig. Library Structure shows the directories in which the type files are stored.

After the new type is created, you can modify its parameters with the parameter editor. The focus is on the field for the element name input. Please enter the name the type shall have in the library.

The input operation is explained in detail in the Tower section of the Editing a Geometry chapter.

Fig. Library Structure

Creating of a new type:

If you want to create a type of which no variant and no figure exists in the library, you should proceed first in the same way like creating a variant. Save the library with the Save Lib function. To assign a new figure to the new type, it is necessary to understand the principle according to which EFC-400 archives libraries:

For each library, a directory is created which has the same name as the library itself. This directory contains the files *.TOW and *.GEO. The type bitmaps are stored in a sub directory of the library with the name PCX or BMP (see Fig. Library Structure).

If you want to insert your own bitmap into the library, double click on the actual picture or push the Edit Picture button. The WF-Paint tool (or your own tool specified under advanced settings | tools) opens, to allow you modifying or replacing the picture by a new one. If there was not picture you get an empty bitmap.

Creating a new bitmap:

If you have a picture of the desired object, you can digitize it with a scanner. In case the type is available in a CAD program, export it as bitmap. Convert the image file to the BMP-format and adjust the size of the file to 320x340 pixel.

After you have prepared the BMP file, copy it to WF-Paint and replace the old image file with the new one.

Creating of a new cable type:

A new cable is generated by the command New Cable. The appearing dialog is the same as Construct Cable. It allows to specify the conductor section from which EFC-400 calculates the conductor distance.

If the option No Ground Wires is enabled only conductors are created. The number of conductors is then always restricted to an multiple of 3.

Cable can be created with phase Compensation (see corresponding check box). Otherwise the cable represents the worst-case.


15. Configuration

15.1 Load / Save

EFC-400 saves the configuration set by the user in the EFC-400.CFG file when exiting the program. This guarantees that you can continue your work with the same configuration at restart.

If you want to save the present configuration under a new name, you have to choose the Save Config... item from the Options menu. The File Select Dialog will ask you to input the file name. By confirming with the OK button, the configuration is stored and can be loaded at any time.

To load a configuration the Load Config command from the Options menu must be selected. The appearing File Select Dialog lists all existing configuration files. The new configuration is loaded by selecting it with the mouse and confirming with the OK button.

Configuration files are ASCII files on which you can work with an ordinary text editor. Take care, however, not to change the structure (do not insert empty lines).

Note: Should you have deleted the EFC-400.CFG file by mistake, the configuration file is created automatically with the standard values the next time you start the program.

15.2 Automatic Configuration

By activating the Automatic Configuration item from the Options menu you define that the configuration is stored and opened simultaneously with the geometry data file.

In this way, you can use a configuration which is customized for the specific geometry:

a) when storing the geometry, a CFG-file with the same name is created.

b) when opening a geometry, the corresponding configuration is opened automatically.

Note that all parameters except Automatic Configuration are set when loading a configuration automatically.

Automatic Configuration has a special function within the batch mode. With the configuration file the calculation settings belonging to the geometry are set automatically. In this way it is ensured that during the consecutive computation in the batch mode, the right configuration is always loaded.

15.3 Templates

When creating a new geometry you can select a predefined Template. Templates are available for power transmission lines, cable, power or terminal stations. All basic settings are already given for that specific case. To avoid the template question while creating new geometries, disable Options | desktop | template on new.

The function New Project always calls the template dialog and opens the Project-Info.

Saving your own templates

In addition you can save your own templates containing your actual settings. Therefore execute Options | save template and your settings get saved. Templates can be found in the sub directory template.

15.4 Color Settings

Fig. Change User Colors

You can specify the user interface of EFC-400 according to your needs and choose the color gradation of the 2D-representation with the color settings.

To carry out a color modification choose the Colors ... item in the Options menu.

To change the background color, for example, select the color option Back with the mouse and change the color by using a color box or adjusting the RGB-values.

Color option | Hotkey | Meaning:
Back | B | background
Map | M | map color
Hotkey | H | hotkey color
Text | T | text color
Data | D | data
Unit | U | units of diagrams

Fig. Color Dialog

The procedures for the other color settings are the same. You can leave the dialog with the OK button.

Note: If you have set the text color to the background color, the text is not visible anymore. Restoring the old settings is difficult now. You can solve this problem by leaving EFC-400 and deleting EFC-400.CFG.

The color boxes labeled with the numbers 0 to 10 are used to adjust the user-defined printing colors of the 2D and Isoline representation (see Fig. Color Dialog).

The ranges marked with the numbers 0-10 correspond to the 11 scaling ranges.

Color setting of background images

If a color image is loaded in 256-color mode, EFC-400 tries to adapt the color palette to its own palette. Because the palette used by EFC-400 has priority for the representation of the Isolines, color purity errors may occur. The quality of the adjustment on the system palette depends on the setting of the variable Adjust to Palette = on/off. Note that a higher quality setting causes a longer screen build-up time. The best results can be achieved in 64k- or true color mode.

Update of background colors

If EFC-400 runs in 256-color mode the change to another Windows™ application (also using a 256-color palette) leads to a change of the current palette. This has the consequence that the 2D- and Isolines-plots are temporarily represented with wrong colors. If EFC-400 is activated again, it immediately restores the original colors (without redrawing). If you also want EFC-400 to adjust the color palette for the background, the setting

Update Palette = ON

has to be entered (only necessary in the 256-color mode). The colors can still differ slightly from the original foreground colors with this setting, but the agreement is better. A disadvantage is that the 2D-, Isolines and Construction views are redrawn (if open) when activating EFC-400.

15.5 Fonts

Fig. Dialog Fonts

Fonts can be chosen freely for geo- and graphic windows. The size of the fonts cannot be altered. By executing the Fonts command from the Options menu the selection dialog is activated (see Fig. Dialog Fonts).

To display the other windows, EFC-400 uses the font Arial. If you have removed this font from your Windows™ environment, you have to install it again.


16. Options

 Top Previous

16.1 Standard

Fig. Standard Dialog

The standard dialog offers basic options for the control of the graphic windows:

Frame fine scaling grid (on/off)

3D Grid 3D grid (on/off)

Objects display of objects (on/off)

Hidden Lines 3D-view with hidden-lines (on/off)

Title title text (on/off)

16.2 Extended

Fig. Extended Dialog

The Extended section provides functions for increasing the computation performance:

Interpolation Points number of interpolation points

Dynamic Interpolation dynamic interpolation algorithm

Auto Segments auto segmentation for

E-field calculations

Sparse Matrix Inversion inversion of a sparse matrix

Distance Limit distance limit for

interaction

Max Data Scaling/ user defined scaling

Auto Scaling and user units

Note: If Auto Scaling is deactivated, a declaration of the unit can be carried out. The units apply to the representation and the export of computation data. The units are saved together with the geometry so that they are preserved for the renewed loading.

16.3 Technical

The Technical section provides functions for applications in technical/scientific subject areas.

Fig. Technical Dialog

The Technical offers the following features:

Voltage Type phase or system voltage

Time-Dependent Field instantaneous values of the field strength

Crossection AL/ST alternative input of the cross-section ratio or the radius of the conductor

Conductive Ground conductive ground (on/off)

Fixed Frequency ... choice of fixed frequencies:

Free Frequency 0, 16 2/3, 50, 60, 300, 400 Hz or a free frequency for every conductor

16.4 Power Transmission Lines

Fig. Power Transmission Lines Dialog

The Power Transmission Lines section offers functions for the easy handling of high-voltage lines.

Voltage Type phase- or system voltage

Segments per Towers automatic or fixed segmentation of towers

Crossection AL/ST alternative input of the cross-section ratio or the radius of the conductors

Calculate Tower Region calculate area below the tower (on/off)

Extended Geometry Format choice between Conductor or Line Editor (only LF)

16.5 Cataster

The Cataster section supports export of Isolines as well as options for the processing of ground profiles.

q Import of ground profiles

Geometry data and ground profiles can be combined with absolute or relative coordinates.

q Import of DXF files

Fig. Cataster Dialog

Import of topographical background maps in the DXF file format.

q Isolines

EFC-400 calculates Isolines and connects them with drawings in the DXF file format. The Isolines are combined to polylines in a layer to simplify post-processing.

The Cataster dialog provides the options:

First Layer Number input of the first layer for the export of Isolines

Geometry Coordinates sets the geometry

absolute/relative to coordinates relative to

Ground Coordinates ground altitudes

Emission Frame definition of the computation area

as a Cartesian raster

Proportional Frame View display of the computation area with equal X/Y scale

View Ground Profiles representation of the

ground profile (on/off)

16.6 Audible Noise

Fig. Audible Noise Dialog

The Audible Noise section allows selection of a method for calculating audible emissions from transmission lines and terminal stations. The methods are referenced and can be read out of the literature.

Also it is possible to define the weather conditions.